<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "webMethods Integration Server Error Report.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="html" encoding="UTF-8" indent="yes" />

	<!-- externalisations -->
	<xsl:variable name="wmisErrorReport.title">
		<xsl:text>&wmisErrorReport.title;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisErrorReport.summary">
		<xsl:text>&wmisErrorReport.summary;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisErrorReport.process">
		<xsl:text>&wmisErrorReport.process;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisErrorReport.activitiesErrored">
		<xsl:text>&wmisErrorReport.activitiesErrored;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisErrorReport.total">
		<xsl:text>&wmisErrorReport.total;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisErrorReport.detail">
		<xsl:text>&wmisErrorReport.detail;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisErrorReport.detailActivitiesErrored">
		<xsl:text>&wmisErrorReport.detailActivitiesErrored;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisErrorReport.activity">
		<xsl:text>&wmisErrorReport.activity;</xsl:text>
	</xsl:variable>
	<xsl:variable name="wmisErrorReport.errorText">
		<xsl:text>&wmisErrorReport.errorText;</xsl:text>
	</xsl:variable>

	<xsl:template match="/">
		<xsl:variable name="y" select="//coverage[1]" />
		<html>
			<head>
				<title>
					<xsl:value-of select="$wmisErrorReport.title" />
				</title>
				<link rel="stylesheet" type="text/css" href="resourcestyle.css" />
				<link rel="stylesheet" type="text/css" href="vanilla.css" />
			</head>
			<body>
				<h1>
					<xsl:value-of select="$wmisErrorReport.title" />
				</h1>
				<h2>
					<xsl:value-of select="$wmisErrorReport.summary" />
				</h2>
				<div>
					<table>
						<thead>
							<tr>
								<th class="left">
									<xsl:value-of select="$wmisErrorReport.process" />
								</th>
								<th>
									<xsl:value-of select="$wmisErrorReport.activitiesErrored" />
								</th>
							</tr>
						</thead>
						<tbody>
							<xsl:for-each select="$y/processes/process[activities/activity[errors]]">
								<tr>
									<td class="left">
										<xsl:value-of select="@name" />
									</td>
									<td>
										<xsl:value-of select="count(activities/activity[errors])" />
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
						<tfoot>
							<tr>
								<th class="left">
									<xsl:value-of select="$wmisErrorReport.total" />
								</th>
								<th>
									<xsl:value-of
										select="count($y/processes/process/activities/activity[errors])" />
								</th>
							</tr>
						</tfoot>
					</table>
				</div>
				<xsl:if test="$y/processes/process[activities/activity[errors]]">
					<h2>
						<xsl:value-of select="$wmisErrorReport.detail" />
					</h2>
					<xsl:for-each select="$y/processes/process[activities/activity[errors]]">
						<h3>
							<xsl:value-of select="@name" />
						</h3>
						<div>
							<h4>
								<xsl:value-of select="$wmisErrorReport.detailActivitiesErrored" />
							</h4>
							<table class="error">
								<thead>
									<tr>
										<th clas="left">
											<xsl:value-of select="$wmisErrorReport.activity" />
										</th>
										<th clas="left">
											<xsl:value-of select="$wmisErrorReport.errorText" />
										</th>
									</tr>
								</thead>
								<tbody>
									<xsl:for-each select="activities/activity/errors/error">
										<tr>
											<td>
												<xsl:value-of select="../../@name" />
											</td>
											<td clas="left">
												<xsl:value-of select="@inline" />
											</td>
										</tr>
									</xsl:for-each>
								</tbody>
							</table>
						</div>
					</xsl:for-each>
				</xsl:if>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>