<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "data_model_action.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- externalisations -->
	<xsl:variable name="data_model_action.label">
		<xsl:text>&data_model_action.label;</xsl:text>
	</xsl:variable>
	<xsl:variable name="data_model_action.type">
		<xsl:text>&data_model_action.type;</xsl:text>
	</xsl:variable>
	<xsl:variable name="data_model_action.path">
		<xsl:text>&data_model_action.path;</xsl:text>
	</xsl:variable>
	<xsl:variable name="data_model_action.result">
		<xsl:text>&data_model_action.result;</xsl:text>
	</xsl:variable>
	<xsl:variable name="data_model_action.error">
		<xsl:text>&data_model_action.error;</xsl:text>
	</xsl:variable>

	<xsl:template match="data_model_action" mode="label">
		<xsl:value-of select="$data_model_action.label" />
	</xsl:template>

	<xsl:template match="data_model_action" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="data_model_action">
		<xsl:call-template name="addActionInfo" />
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />
			<xsl:call-template name="reportActionProperties" />
		</table>
	</xsl:template>

	<xsl:template name="reportActionProperties">
		<tr>
			<xsl:call-template name="reportInfo">
				<xsl:with-param name="name" select="$data_model_action.type" />
				<xsl:with-param name="value" select="type/text()" />
			</xsl:call-template>
		</tr>
		<tr>
			<xsl:call-template name="reportInfo">
				<xsl:with-param name="name" select="$data_model_action.path" />
				<xsl:with-param name="value" select="path/text()" />
			</xsl:call-template>
		</tr>
		<tr>
			<xsl:call-template name="reportInfo">
				<xsl:with-param name="name" select="$data_model_action.result" />
				<xsl:with-param name="value" select="result/text()" />
			</xsl:call-template>
		</tr>
		<xsl:if test="string-length(error/text()) &gt; 0">
			<tr>
				<xsl:call-template name="reportInfo">
					<xsl:with-param name="name" select="$data_model_action.error" />
					<xsl:with-param name="value" select="error/text()" />
				</xsl:call-template>
			</tr>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
