<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet SYSTEM "iptriggerevent.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!--  Relies on ipcommon.xsl already having been imported. -->

	<!-- externalisations -->
	<xsl:variable name="iptriggerevent.label">
		<xsl:text>&iptriggerevent.label;</xsl:text>
	</xsl:variable>
	<xsl:variable name="iptriggerevent.headerMessageTitle">
		<xsl:text>&iptriggerevent.headerMessageTitle;</xsl:text>
	</xsl:variable>
	<xsl:variable name="iptriggerevent.generalReport">
		<xsl:text>&iptriggerevent.generalReport;</xsl:text>
	</xsl:variable>
	<xsl:variable name="iptriggerevent.specificReport">
		<xsl:text>&iptriggerevent.specificReport;</xsl:text>
	</xsl:variable>
	<xsl:variable name="iptriggerevent.data">
		<xsl:text>&iptriggerevent.data;</xsl:text>
	</xsl:variable>

	<xsl:template match="triggerevent" mode="label">
		<xsl:value-of select="$iptriggerevent.label" />
	</xsl:template>

	<xsl:template match="triggerevent" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="triggerevent">

		<xsl:variable name="headerMessageTitle">
			<xsl:text>&iptriggerevent.headerMessageTitle;</xsl:text>
		</xsl:variable>

		<xsl:call-template name="addActionInfo" />
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />
		</table>
		<table width="80%">
			<tbody>

				<tr>
					<td class="sub-title">
						<xsl:value-of select="$iptriggerevent.generalReport" />
					</td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="IProcessActionGeneralReport" />
					</td>
				</tr>

				<tr>
					<td class="sub-title">
						<xsl:value-of select="$iptriggerevent.specificReport" />
					</td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="IProcessActionConfigurationReport" />
					</td>
				</tr>

				<tr>
					<td class="sub-title">
						<xsl:value-of select="$iptriggerevent.data" />
					</td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="reportAssociatedA3Message" />
					</td>
				</tr>

			</tbody>
		</table>

	</xsl:template>

</xsl:stylesheet>
