/* MSSQL DDL */
/* This file is generated do not manually edit it. */

-- As part of the globalisation work done as part of release 8.5 most string columns
-- are now of type nvarchar.  This meant that some composite key UNIQUE indexes could
-- no longer be created as the maximum data size of the composite key was greater than
-- 900 bytes.  These unique compositie indexes have been removed and replace with one
-- or more single-column indexes.  The code does a uniqueness check before inserting.
-- Although there is a race condition this can only occur when two probes have been
-- configured on two separate physical machines monitoring exactly the same thing on
-- a single host.  It does not make sense to set probes up like this and release notes
-- and user documentation will indiciate that this is not a supported configuration


CREATE TABLE [ACTION] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [UNIQUEID] [varchar] (32),
 [APPMODELITEM_ID] [numeric] (19),
 [ACTIONTYPE_ID] [numeric] (19),
 [DISPLAY] [nvarchar] (128),
 CONSTRAINT [ACTION_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [ACTION_U1] UNIQUE
 (
 [APPMODELITEM_ID],
 [UNIQUEID]
 )
);
GO

CREATE TABLE [ACTIONTYPE] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [UNIQUEID] [varchar] (32),
 CONSTRAINT [ACTIONTYPE_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [ACTIONTYPE_U1] UNIQUE
 (
 [UNIQUEID]
 )
);
GO

CREATE TABLE [ACTION_EXECUTION] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [ACTION_ID] [numeric] (19),
 [PARENT_ID] [numeric] (19),
 [EXPECTED] [image],
 [RECEIVED] [image],
 [CONSOLE] [image],
 CONSTRAINT [ACTION_EXECUTION_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [AGENT] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [URL] [nvarchar] (100) NOT NULL,
 CONSTRAINT [AGENT_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [AGENT_U1] UNIQUE
 (
 [URL]
 )
);
GO

CREATE TABLE [APPMODELITEM] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [PARENT_ID] [numeric] (19),
 [APPMODELTYPE_ID] [numeric] (3) NOT NULL,
 [PROJECT_ID] [numeric] (19) NOT NULL,
 [UNIQUEID] [varchar] (255) NOT NULL,
 [DISPLAY] [nvarchar] (255),
 [ARCHIVED] [char] (1) DEFAULT 'N',
 CONSTRAINT [APPMODELITEM_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [APPMODELITEM_U1] UNIQUE
 (
 [PROJECT_ID],
 [UNIQUEID]
 )
);
GO

CREATE TABLE [APPMODELTYPE] (
 [ID] [numeric] (3) IDENTITY (1, 1) NOT NULL,
 [UNIQUEID] [varchar] (64) NOT NULL,
 CONSTRAINT [APPMODELTYPE_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [APPMODELTYPE_U1] UNIQUE
 (
 [UNIQUEID]
 )
);
GO

CREATE TABLE [BWACTIVITY_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [BWHOST_MRV_ID] [numeric] (19) NOT NULL,
 [ACTIVITYNAME] [nvarchar] (256) NOT NULL,
 [PROCESSNAME] [nvarchar] (256) NOT NULL,
 [ACTIVITY_CLASS] [nvarchar] (256) NOT NULL, 
 [TIME] [numeric] (20) NOT NULL,
 [EXECUTION_COUNT] [numeric] (20),
 [ERROR_COUNT] [numeric] (20),
 [ELAPSED_TIME] [numeric] (20),
 [EXECUTION_TIME] [numeric] (20),
 [MIN_ELAPSED] [numeric] (20),
 [MAX_ELAPSED] [numeric] (20),
 [MIN_EXEC] [numeric] (20),
 [MAX_EXEC] [numeric] (20),
 [AVERAGE_EXEC] [numeric] (20),
 [AVERAGE_ELAPSED] [numeric] (20),
 CONSTRAINT [BWACTIVITY_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE INDEX [BWACTIVITY_MRV_IDX1] ON [BWACTIVITY_MRV]  
(
 [BWHOST_MRV_ID]
);
GO

CREATE INDEX [BWACTIVITY_MRV_IDX2] ON [BWACTIVITY_MRV]  
(
 [ACTIVITYNAME]
);
GO

CREATE INDEX [BWACTIVITY_MRV_IDX3] ON [BWACTIVITY_MRV]  
(
 [PROCESSNAME]
);
GO

CREATE TABLE [BWACTIVITY_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [BWACTIVITY_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [EXECUTION_COUNT] [numeric] (20),
 [ERROR_COUNT] [numeric] (20),
 [ELAPSED_TIME] [numeric] (20),
 [EXECUTION_TIME] [numeric] (20),
 [MIN_ELAPSED] [numeric] (20),
 [MAX_ELAPSED] [numeric] (20),
 [MIN_EXEC] [numeric] (20),
 [MAX_EXEC] [numeric] (20),
 [AVERAGE_EXEC] [numeric] (20),
 [AVERAGE_ELAPSED] [numeric] (20)
);
GO

CREATE TABLE [BWHOST_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [HOSTNAME] [nvarchar] (256) NOT NULL,
 [INSTANCENAME] [nvarchar] (256) NOT NULL,
 [IPADDRESS] [nvarchar] (45) NOT NULL,
 [DOMAIN] [nvarchar] (256) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [NUMPROC] [numeric] (20),
 CONSTRAINT [BWHOST_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO


CREATE INDEX [BWHOST_MRV_IDX] ON [BWHOST_MRV]  
(
 [INSTANCENAME]
);
GO


CREATE TABLE [BWHOST_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [BWHOST_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [NUMPROC] [numeric] (20)
);
GO

CREATE TABLE [BWPROC_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [BWHOST_MRV_ID] [numeric] (19) NOT NULL,
 [PROCESSNAME] [nvarchar] (256) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [STARTERNAME] [nvarchar] (256),
 [CREATED] [numeric] (20),
 [SUSPENDED] [numeric] (20),
 [SWAPPED] [numeric] (20),
 [QUEUED] [numeric] (20),
 [ABORTED] [numeric] (20),
 [COMPLETED] [numeric] (20),
 [AVERAGE_EXEC] [numeric] (20),
 [AVERAGE_ELAPSED] [numeric] (20),
 [MIN_ELAPSED] [numeric] (20),
 [MAX_ELAPSED] [numeric] (20),
 [MIN_EXEC] [numeric] (20),
 [MAX_EXEC] [numeric] (20),
 [CREATION_RATE] [numeric] (20),
 [RUNNING] [numeric] (20),
 CONSTRAINT [BWPROC_MRV_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [BWPROC_MRV_U1] UNIQUE
 (
 [BWHOST_MRV_ID],
 [PROCESSNAME]
 )
);
GO

CREATE TABLE [BWPROC_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [BWPROC_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [CREATED] [numeric] (20),
 [SUSPENDED] [numeric] (20),
 [SWAPPED] [numeric] (20),
 [QUEUED] [numeric] (20),
 [ABORTED] [numeric] (20),
 [COMPLETED] [numeric] (20),
 [AVERAGE_EXEC] [numeric] (20),
 [AVERAGE_ELAPSED] [numeric] (20),
 [MIN_ELAPSED] [numeric] (20),
 [MAX_ELAPSED] [numeric] (20),
 [MIN_EXEC] [numeric] (20),
 [MAX_EXEC] [numeric] (20),
 [CREATION_RATE] [numeric] (20),
 [RUNNING] [numeric] (20)
);
GO

CREATE TABLE [COUNTER_DETAILS] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [NAME] [nvarchar] (255) NOT NULL,
 [TYPE] [nvarchar] (20) NOT NULL,
 CONSTRAINT [COUNTER_DETAILS_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [COVERAGE] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [EXECUTION_ID] [numeric] (19) NOT NULL,
 [TYPE] [nvarchar] (10) NOT NULL,
 [BIN] [image],
 CONSTRAINT [PK8] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [DB_DETAILS] (
 [CTIME] [datetime] NOT NULL,
 [PROPERTY] [nvarchar] (100) NOT NULL,
 [VALUE] [nvarchar] (100) NOT NULL
);
GO

CREATE TABLE [DETAIL_EXECUTION] (
 [APPMODELITEM_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19) NOT NULL,
 [ACTION_EXECUTION_ID] [numeric] (19),
 [USERNAME] [nvarchar] (50),
 [HOSTNAME] [nvarchar] (100),
 [TOTAL_ITERATIONS] [numeric] (10),
 [FAILED_ITERATIONS] [nvarchar] (500),
 [FAILED_COUNT] [numeric] (10),
 CONSTRAINT [DETAIL_EXECUTION_PK] PRIMARY KEY
 (
 [EXECUTION_ID]
 )
);
GO

CREATE TABLE [DQGROUP_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [DQNAME] [nvarchar] (100) NOT NULL,
 [GRP] [nvarchar] (30) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [HOSTIP] [nvarchar] (20) NOT NULL,
 [HOSTNAME] [nvarchar] (50) NOT NULL,
 CONSTRAINT [DQGROUP_MRV_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [DQGROUP_MRV_U1] UNIQUE
 (
 [DQNAME],
 [GRP]
 )
);
GO

CREATE TABLE [DQGROUP_TS] (
 [IDX] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [DQGROUP_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [ACCEPTED] [numeric] (20) NOT NULL,
 [COMPLETED] [numeric] (20) NOT NULL,
 [REJECTED] [numeric] (20) NOT NULL,
 CONSTRAINT [DQGROUP_TS_PK] PRIMARY KEY
 (
 [IDX]
 )
);
GO

CREATE TABLE [DQMEMBER_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [DQGROUP_MRV_ID] [numeric] (19) NOT NULL,
 [MEMBERTAG] [nvarchar] (20) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [MEMBERID] [nvarchar] (100) NOT NULL,
 [HOSTIP] [nvarchar] (20) NOT NULL,
 [HOSTNAME] [nvarchar] (50) NOT NULL,
 [TYPE] [nvarchar] (10) NOT NULL,
 [WEIGHT] [numeric] (20) NOT NULL,
 [MAXTASKS] [numeric] (20) NOT NULL,
 CONSTRAINT [DQMEMBER_MRV_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [DQMEMBER_MRV_U1] UNIQUE
 (
 [DQGROUP_MRV_ID],
 [MEMBERTAG]
 )
);
GO

CREATE TABLE [DQMEMBER_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [DQMEMBER_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [ACCEPTED] [numeric] (20) NOT NULL,
 [COMPLETED] [numeric] (20) NOT NULL,
 [REJECTED] [numeric] (20) NOT NULL
);
GO

CREATE TABLE [DT] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [NAME] [nvarchar] (50) NOT NULL,
 [EXECUTION_ID] [numeric] (19) NOT NULL,
 CONSTRAINT [DT_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [DT_HISTORY] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [DT_ID] [numeric] (19),
 [AGENT_ID] [numeric] (19) NOT NULL,
 CONSTRAINT [DT_HISTORY_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [EMS_QUEUE_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [EMS_SERVER_MRV_ID] [numeric] (19) NOT NULL,
 [NAME] [nvarchar] (100) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [ISTEMP] [char] (1) NOT NULL,
 [ISSTATIC] [char] (1) NOT NULL,
 [PMC] [numeric] (10) NOT NULL,
 [PMS] [numeric] (10) NOT NULL,
 [IMR] [numeric] (10) NOT NULL,
 [OMR] [numeric] (10) NOT NULL,
 [IBR] [numeric] (10) NOT NULL,
 [OBR] [numeric] (10) NOT NULL,
 [IMC] [numeric] (10) NOT NULL,
 [OMC] [numeric] (10) NOT NULL,
 [IBC] [numeric] (10) NOT NULL,
 [OBC] [numeric] (10) NOT NULL,
 [DMC] [numeric] (10) NOT NULL,
 [TMC] [numeric] (10) NOT NULL,
 [ARC] [numeric] (10) NOT NULL,
 [CC] [numeric] (10) NOT NULL,
 CONSTRAINT [EMS_QUEUE_MRV_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [EMS_QUEUE_MRV_U1] UNIQUE
 (
 [EMS_SERVER_MRV_ID],
 [NAME]
 )
);
GO

CREATE TABLE [EMS_QUEUE_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [EMS_QUEUE_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [PMC] [numeric] (10) NOT NULL,
 [PMS] [numeric] (10) NOT NULL,
 [IMR] [numeric] (10) NOT NULL,
 [OMR] [numeric] (10) NOT NULL,
 [IBR] [numeric] (10) NOT NULL,
 [OBR] [numeric] (10) NOT NULL,
 [IMC] [numeric] (10) NOT NULL,
 [OMC] [numeric] (10) NOT NULL,
 [IBC] [numeric] (10) NOT NULL,
 [OBC] [numeric] (10) NOT NULL,
 [DMC] [numeric] (10) NOT NULL,
 [TMC] [numeric] (10) NOT NULL,
 [ARC] [numeric] (10) NOT NULL,
 [CC] [numeric] (10) NOT NULL
);
GO

CREATE TABLE [EMS_ROUTE_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [EMS_SERVER_MRV_ID] [numeric] (19) NOT NULL,
 [REMOTESERVER] [nvarchar] (100) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [REMOTEURL] [nvarchar] (100) NOT NULL,
 [ZONE] [nvarchar] (100) NOT NULL,
 [ZONETYPE] [nvarchar] (20) NOT NULL,
 [IMR] [numeric] (10) NOT NULL,
 [OMR] [numeric] (10) NOT NULL,
 [IBR] [numeric] (10) NOT NULL,
 [OBR] [numeric] (10) NOT NULL,
 [IMC] [numeric] (10) NOT NULL,
 [OMC] [numeric] (10) NOT NULL,
 [IBC] [numeric] (19) NOT NULL,
 [OBC] [numeric] (19) NOT NULL,
 CONSTRAINT [EMS_ROUTE_MRV_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [EMS_ROUTE_MRV_U1] UNIQUE
 (
 [EMS_SERVER_MRV_ID],
 [REMOTESERVER]
 )
);
GO

CREATE TABLE [EMS_ROUTE_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [EMS_ROUTE_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [IMR] [numeric] (10) NOT NULL,
 [OMR] [numeric] (10) NOT NULL,
 [IBR] [numeric] (10) NOT NULL,
 [OBR] [numeric] (10) NOT NULL,
 [IMC] [numeric] (10) NOT NULL,
 [OMC] [numeric] (10) NOT NULL,
 [IBC] [numeric] (19) NOT NULL,
 [OBC] [numeric] (19) NOT NULL
);
GO

CREATE TABLE [EMS_SERVER_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [BROKER] [nvarchar] (50) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [STATUS] [nvarchar] (10) NOT NULL,
 [CFG] [nvarchar] (50) NOT NULL,
 [STRT] [numeric] (20) NOT NULL,
 [STATE] [nvarchar] (20) NOT NULL,
 [UP] [numeric] (10) NOT NULL,
 [URL] [nvarchar] (20) NOT NULL,
 [HOSTIP] [nvarchar] (20) NOT NULL,
 [VER] [nvarchar] (20) NOT NULL,
 [LIC] [nvarchar] (20) NOT NULL,
 [MAXCONN] [numeric] (10) NOT NULL,
 [ASM] [numeric] (10) NOT NULL,
 [MSGDSKRR] [numeric] (10) NOT NULL,
 [MSGDSKWR] [numeric] (10) NOT NULL,
 [MINASTORE] [numeric] (10) NOT NULL,
 [STOREDIR] [nvarchar] (40) NOT NULL,
 [MINSTORE] [numeric] (10) NOT NULL,
 [SYNCMGRSZ] [numeric] (10) NOT NULL,
 [FSYNC] [char] (1) NOT NULL,
 [TRUNC] [char] (1) NOT NULL,
 [FILTTYPE] [nvarchar] (20) NOT NULL,
 [FILTVAL] [nvarchar] (20),
 [TRACETARG] [nvarchar] (20) NOT NULL,
 [HBWAIT] [numeric] (10) NOT NULL,
 [SECREADFILES] [char] (1) NOT NULL,
 [HBMSGLEN] [numeric] (10) NOT NULL,
 [RECTIMEOUT] [numeric] (10) NOT NULL,
 [LOGMAXSZ] [numeric] (10) NOT NULL,
 [LOGFILE] [nvarchar] (20),
 [LOGSZ] [nvarchar] (20) NOT NULL,
 [LOGTRACE] [nvarchar] (100) NOT NULL,
 [CONTRACE] [nvarchar] (100) NOT NULL,
 [MAXMSGMEM] [numeric] (10) NOT NULL,
 [MAXSTATSMEM] [numeric] (10) NOT NULL,
 CONSTRAINT [EMS_SERVER_MRV_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [EMS_SERVER_MRV_U1] UNIQUE
 (
 [BROKER]
 )
);
GO

CREATE TABLE [EMS_SERVER_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [EMS_SERVER_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [TOTALCONN] [numeric] (10) NOT NULL,
 [DURCONN] [numeric] (10) NOT NULL,
 [MSGMEM] [numeric] (10) NOT NULL,
 [MSGMEMPOOLED] [numeric] (10) NOT NULL,
 [OBR] [numeric] (10) NOT NULL,
 [IBR] [numeric] (10) NOT NULL,
 [OMR] [numeric] (10) NOT NULL,
 [OMC] [numeric] (10) NOT NULL,
 [IMR] [numeric] (10) NOT NULL,
 [IMC] [numeric] (10) NOT NULL,
 [PMC] [numeric] (10) NOT NULL,
 [PMS] [numeric] (10) NOT NULL,
 [QC] [numeric] (10) NOT NULL,
 [TC] [numeric] (10) NOT NULL
);
GO

CREATE TABLE [EMS_TOPIC_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [EMS_SERVER_MRV_ID] [numeric] (19) NOT NULL,
 [NAME] [nvarchar] (100) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [ISTEMP] [char] (1) NOT NULL,
 [ISSTATIC] [char] (1) NOT NULL,
 [PMC] [numeric] (10) NOT NULL,
 [PMS] [numeric] (10) NOT NULL,
 [IMR] [numeric] (10) NOT NULL,
 [OMR] [numeric] (10) NOT NULL,
 [IBR] [numeric] (10) NOT NULL,
 [OBR] [numeric] (10) NOT NULL,
 [IMC] [numeric] (10) NOT NULL,
 [OMC] [numeric] (10) NOT NULL,
 [IBC] [numeric] (10) NOT NULL,
 [OBC] [numeric] (10) NOT NULL,
 [DC] [numeric] (10) NOT NULL,
 [ADC] [numeric] (10) NOT NULL,
 [SC] [numeric] (10) NOT NULL,
 CONSTRAINT [EMS_TOPIC_MRV_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [EMS_TOPIC_MRV_U1] UNIQUE
 (
 [EMS_SERVER_MRV_ID],
 [NAME]
 )
);
GO

CREATE TABLE [EMS_TOPIC_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [EMS_TOPIC_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [PMC] [numeric] (10) NOT NULL,
 [PMS] [numeric] (10) NOT NULL,
 [IMR] [numeric] (10) NOT NULL,
 [OMR] [numeric] (10) NOT NULL,
 [IBR] [numeric] (10) NOT NULL,
 [OBR] [numeric] (10) NOT NULL,
 [IMC] [numeric] (10) NOT NULL,
 [OMC] [numeric] (10) NOT NULL,
 [IBC] [numeric] (10) NOT NULL,
 [OBC] [numeric] (10) NOT NULL,
 [DC] [numeric] (10) NOT NULL,
 [ADC] [numeric] (10) NOT NULL,
 [SC] [numeric] (10) NOT NULL
);
GO

CREATE TABLE [EXECUTION] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [PARENT_ID] [numeric] (19),
 [START_TIME] [numeric] (20) NOT NULL,
 [END_TIME] [numeric] (20),
 [DURATION] [numeric] (20, 5),
 [STATUS_ID] [numeric] (10),
 [ROOT_ID] [numeric] (19),
 [ENVIRONMENT] [numeric] (19),
 CONSTRAINT [EXECUTION_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [EXECUTION_LABEL] (
 [EXECUTION_ID] [numeric] (19) NOT NULL,
 [LABEL] [nvarchar] (4000) NOT NULL,
 CONSTRAINT [EXECUTION_LABEL_PK] PRIMARY KEY
 (
 [EXECUTION_ID]
 )
);
GO

CREATE TABLE [EXECUTION_LOCK] (
 [EXECUTION_ID] [numeric] (19) NOT NULL,
 [PERSON_ID] [numeric] NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [EXECUTION_LOCK_PK] PRIMARY KEY
 (
 [EXECUTION_ID]
 )
);
GO

CREATE TABLE [EXECUTION_NOTE] (
 [EXECUTION_ID] [numeric] (19) NOT NULL,
 [NOTE] nvarchar(max) NOT NULL,
 CONSTRAINT [EXECUTION_NOTE_PK] PRIMARY KEY
 (
 [EXECUTION_ID]
 )
);
GO

CREATE TABLE [FLEX_COL] (
 [PK] [numeric] IDENTITY (1, 1) NOT NULL,
 [METHOD] [numeric] NOT NULL,
 [DATA] [nvarchar] (891),
 CONSTRAINT [FLEX_COL_PK] PRIMARY KEY
 (
 [PK]
 )
);
GO

CREATE INDEX [FLEX_COL_IDX1] ON [FLEX_COL]
(
 [METHOD]
);
GO

CREATE TABLE [FLEX_DOUBLE] (
 [PK] [numeric] IDENTITY (1, 1) NOT NULL,
 [ROW_] [numeric] NOT NULL,
 [EVENT] [numeric] NOT NULL,
 [DATA] [float] (19) NOT NULL,
 CONSTRAINT [FLEX_DOUBLE_PK] PRIMARY KEY
 (
 [PK]
 )
);
GO

CREATE TABLE [FLEX_EVENT] (
 [PK] [numeric] IDENTITY (1, 1) NOT NULL,
 [MILLIS_1970_UTC] [numeric] (19) NOT NULL,
 [INSTANCE] [numeric],
 CONSTRAINT [FLEX_EVENT_PK] PRIMARY KEY
 (
 [PK]
 )
);
GO

CREATE TABLE [FLEX_LONG] (
 [PK] [numeric] IDENTITY (1, 1) NOT NULL,
 [ROW_] [numeric] NOT NULL,
 [EVENT] [numeric] NOT NULL,
 [DATA] [numeric] (19) NOT NULL,
 CONSTRAINT [FLEX_LONG_PK] PRIMARY KEY
 (
 [PK]
 )
);
GO

CREATE TABLE [FLEX_METHOD] (
 [PK] [numeric] IDENTITY (1, 1) NOT NULL,
 [TYPE] [numeric] NOT NULL,
 [DATA] [nvarchar] (891),
 CONSTRAINT [FLEX_METHOD_PK] PRIMARY KEY
 (
 [PK]
 )
);
GO

CREATE INDEX [FLEX_METHOD_IDX1] ON [FLEX_METHOD]
 (
 [TYPE]
 );
GO

CREATE TABLE [FLEX_ROW] (
 [PK] [numeric] IDENTITY (1, 1) NOT NULL,
 [COL] [numeric] NOT NULL,
 [DATA] [nvarchar] (891),
 CONSTRAINT [FLEX_ROW_PK] PRIMARY KEY
 (
 [PK]
 )
);
GO

CREATE INDEX [FLEX_ROW_IDX1] ON [FLEX_ROW]
 (
 [COL]
 );
GO

CREATE TABLE [FLEX_TYPE] (
 [PK] [numeric] IDENTITY (1, 1) NOT NULL,
 [DATA] [nvarchar] (891),
 CONSTRAINT [FLEX_TYPE_PK] PRIMARY KEY
 (
 [PK]
 )
);
GO

CREATE TABLE [ITER_HISTORY] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [DT_HIST_ID] [numeric] (19),
 [IT_NUM] [numeric] (10) NOT NULL,
 [TD_ROW_NUM] [numeric] (10) NOT NULL,
 [START_TIME] [numeric] (20) NOT NULL,
 [END_TIME] [numeric] (20),
 [DURATION] [numeric] (20),
 [RESULT] [numeric] (3),
 CONSTRAINT [ITER_HISTORY_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [LOGMEASUREMENT_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [ATTR_ID_1] [numeric] (19),
 [ATTR_VAL_1] [nvarchar] (255),
 [ATTR_ID_2] [numeric] (19),
 [ATTR_VAL_2] [nvarchar] (255),
 [ATTR_ID_3] [numeric] (19),
 [ATTR_VAL_3] [nvarchar] (255),
 [ATTR_ID_4] [numeric] (19),
 [ATTR_VAL_4] [nvarchar] (255),
 [ATTR_ID_5] [numeric] (19),
 [ATTR_VAL_5] [nvarchar] (255),
 CONSTRAINT [LOGMEASUREMENT_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [LOGMEASUREMENT_TS] (
 [IDX] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [LOGMEASUREMENT_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [CTR_ID_1] [numeric] (19),
 [CTR_VAL_1] [numeric] (20, 3),
 [CTR_ID_2] [numeric] (19),
 [CTR_VAL_2] [numeric] (20, 3),
 [CTR_ID_3] [numeric] (19),
 [CTR_VAL_3] [numeric] (20, 3),
 [CTR_ID_4] [numeric] (19),
 [CTR_VAL_4] [numeric] (20, 3),
 [CTR_ID_5] [numeric] (19),
 [CTR_VAL_5] [numeric] (20, 3),
 [CTR_ID_6] [numeric] (19),
 [CTR_VAL_6] [numeric] (20, 3),
 [CTR_ID_7] [numeric] (19),
 [CTR_VAL_7] [numeric] (20, 3),
 [CTR_ID_8] [numeric] (19),
 [CTR_VAL_8] [numeric] (20, 3),
 [STRCTR_ID_1] [numeric] (19),
 [STRCTR_VAL_1] [nvarchar] (255),
 [STRCTR_ID_2] [numeric] (19),
 [STRCTR_VAL_2] [nvarchar] (255),
 [STRCTR_ID_3] [numeric] (19),
 [STRCTR_VAL_3] [nvarchar] (255),
 [STRCTR_ID_4] [numeric] (19),
 [STRCTR_VAL_4] [nvarchar] (255),
 CONSTRAINT [LOGMEASUREMENT_TS_PK] PRIMARY KEY
 (
 [IDX]
 )
);
GO

CREATE TABLE [PERFORM_CHARTS] (
 [CHART_NAME] [nvarchar] (100) NOT NULL,
 [PROJECT_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19) NOT NULL,
 [DATA] nvarchar(max) NOT NULL,
 [IMAGE1] [image],
 [IMAGE2] [image],
 CONSTRAINT [PT_CHARTS_PK] PRIMARY KEY
 (
 [CHART_NAME],
 [PROJECT_ID]
 )
);
GO

CREATE TABLE [PERFORM_EXECUTION] (
 [EXECUTION_ID] [numeric] (19) NOT NULL,
 [ITERATIONS] [numeric] (20),
 [AVG_ITER_DUR] [numeric] (20),
 [MAX_ITER_DUR] [numeric] (20),
 [TRANSACTIONS] [numeric] (20),
 [AVG_TRANS_DUR] [numeric] (20),
 [MAX_TRANS_DUR] [numeric] (20),
 [APPMODELITEM_ID] [numeric] (19) NOT NULL,
 CONSTRAINT [PK127] PRIMARY KEY
 (
 [EXECUTION_ID]
 )
);
GO

CREATE TABLE [PERSON] (
 [ID] [numeric] IDENTITY (1, 1) NOT NULL,
 [USERNAME] [nvarchar] (32) NOT NULL,
 CONSTRAINT [PERSON_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [PERSON_USERNAME] UNIQUE
 (
 [USERNAME]
 )
);
GO

CREATE TABLE [PROBE_CONFIG] (
 [EXECUTION_ID] [numeric] (19) NOT NULL,
 [CONFIG] nvarchar(max),
 CONSTRAINT [PROBE_CONFIG_PK] PRIMARY KEY
 (
 [EXECUTION_ID]
 )
);
GO

CREATE TABLE [PROJECT] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [UNIQUEID] [char] (36) NOT NULL,
 [NAME] [nvarchar] (255) NOT NULL,
 CONSTRAINT [PROJECT_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [PROJECT_U1] UNIQUE
 (
 [UNIQUEID]
 )
);
GO

CREATE TABLE [RVHI_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [GRP] [nvarchar] (30) NOT NULL,
 [HOSTIP] [nvarchar] (20) NOT NULL,
 [HOSTNAME] [nvarchar] (50) NOT NULL,
 [SERVICE] [nvarchar] (20) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [NETWORK] [nvarchar] (20) NOT NULL,
 [SN] [numeric] (10) NOT NULL,
 [OS] [nvarchar] (20) NOT NULL,
 [VER] [nvarchar] (10) NOT NULL,
 [HTTPADDR] [nvarchar] (20) NOT NULL,
 [HTTPPORT] [numeric] (10) NOT NULL,
 [UP] [numeric] (10) NOT NULL,
 [USERNAME] [nvarchar] (30) NOT NULL,
 [PROCESSID] [numeric] (20) NOT NULL,
 CONSTRAINT [RVHI_MRV_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [RVHI_MRV_U1] UNIQUE
 (
 [GRP],
 [HOSTIP],
 [HOSTNAME],
 [SERVICE]
 )
);
GO

CREATE TABLE [RVHI_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [RVHI_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [MS] [numeric] (10) NOT NULL,
 [MR] [numeric] (10) NOT NULL,
 [PS] [numeric] (10) NOT NULL,
 [PR] [numeric] (10) NOT NULL,
 [BS] [numeric] (10) NOT NULL,
 [BR] [numeric] (10) NOT NULL,
 [RX] [numeric] (10) NOT NULL,
 [PM] [numeric] (10) NOT NULL
);
GO

CREATE TABLE [RVTRACE_MULTICAST_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [RVTRACE_NETWORK_MRV_ID] [numeric] (19) NOT NULL,
 [SERVICE] [nvarchar] (20) NOT NULL,
 [HOSTIP] [nvarchar] (20) NOT NULL,
 [HOSTNAME] [nvarchar] (50) NOT NULL,
 [DESTINATION] [nvarchar] (20) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [RVTRACE_MULTICAST_MRV_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [RVTRACE_MULTICAST_MRV_U1] UNIQUE
 (
 [RVTRACE_NETWORK_MRV_ID],
 [SERVICE],
 [HOSTIP],
 [HOSTNAME],
 [DESTINATION]
 )
);
GO

CREATE TABLE [RVTRACE_MULTICAST_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [RVTRACE_MULTICAST_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [PACKETS] [numeric] (10) NOT NULL,
 [BYTES] [numeric] (10) NOT NULL,
 [RTPACKETS] [numeric] (10) NOT NULL,
 [RTBYTES] [numeric] (10) NOT NULL,
 [NULLPACKETS] [numeric] (10) NOT NULL,
 [MISSEDPACKETS] [numeric] (10) NOT NULL,
 [BADPACKETS] [numeric] (10) NOT NULL
);
GO

CREATE TABLE [RVTRACE_NETWORK_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [NETWORKID] [nvarchar] (20) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [RVTRACE_NETWORK_MRV_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [RVTRACE_NETWORK_MRV_U1] UNIQUE
 (
 [NETWORKID]
 )
);
GO

CREATE TABLE [RVTRACE_NETWORK_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [RVTRACE_NETWORK_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [PACKETS] [numeric] (10) NOT NULL,
 [BYTES] [numeric] (10) NOT NULL
);
GO

CREATE TABLE [RVTRACE_PTP_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [RVTRACE_NETWORK_MRV_ID] [numeric] (19) NOT NULL,
 [SERVICE] [nvarchar] (20) NOT NULL,
 [HOSTIP] [nvarchar] (20) NOT NULL,
 [HOSTNAME] [nvarchar] (50) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [RVTRACE_PTP_MRV_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [RVTRACE_PTP_MRV_U1] UNIQUE
 (
 [RVTRACE_NETWORK_MRV_ID],
 [SERVICE],
 [HOSTIP],
 [HOSTNAME]
 )
);
GO

CREATE TABLE [RVTRACE_PTP_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [RVTRACE_PTP_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [PCKSSENT] [numeric] (10) NOT NULL,
 [BYTESSENT] [numeric] (10) NOT NULL,
 [ACKREQSENT] [numeric] (10) NOT NULL,
 [ACKSSENT] [numeric] (10) NOT NULL,
 [NACKSSENT] [numeric] (10) NOT NULL,
 [BADPCKSSENT] [numeric] (10) NOT NULL,
 [PCKSRCVD] [numeric] (10) NOT NULL,
 [BYTESRCVD] [numeric] (10) NOT NULL,
 [ACKREQRCVD] [numeric] (10) NOT NULL,
 [ACKSRCVD] [numeric] (10) NOT NULL,
 [NACKSRCVD] [numeric] (10) NOT NULL,
 [BADPCKSRCVD] [numeric] (10) NOT NULL
);
GO

CREATE TABLE [RVTRACE_RETRANS_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [RVTRACE_NETWORK_MRV_ID] [numeric] (19) NOT NULL,
 [SERVICE] [nvarchar] (20) NOT NULL,
 [HOSTIP] [nvarchar] (20) NOT NULL,
 [HOSTNAME] [nvarchar] (50) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [RVTRACE_RETRANS_MRV_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [RVTRACE_RETRANS_MRV_U1] UNIQUE
 (
 [RVTRACE_NETWORK_MRV_ID],
 [SERVICE],
 [HOSTIP],
 [HOSTNAME]
 )
);
GO

CREATE TABLE [RVTRACE_RETRANS_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [RVTRACE_RETRANS_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [PCKSSENT] [numeric] (10) NOT NULL,
 [SEQREQ] [numeric] (10) NOT NULL,
 [REJSENT] [numeric] (10) NOT NULL,
 [BADSENT] [numeric] (10) NOT NULL,
 [PCKSRCVD] [numeric] (10) NOT NULL,
 [SEQREQFROM] [numeric] (10) NOT NULL,
 [REJRCVD] [numeric] (10) NOT NULL,
 [BADRCVD] [numeric] (10) NOT NULL
);
GO

CREATE TABLE [RVTRACE_SUBJECT_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [RVTRACE_NETWORK_MRV_ID] [numeric] (19) NOT NULL,
 [SERVICE] [nvarchar] (20) NOT NULL,
 [SUBJECT] [nvarchar] (150) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [RVTRACE_SUBJECT_MRV_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [RVTRACE_SUBJECT_MRV_U1] UNIQUE
 (
 [RVTRACE_NETWORK_MRV_ID],
 [SERVICE],
 [SUBJECT]
 )
);
GO

CREATE TABLE [RVTRACE_SUBJECT_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [RVTRACE_SUBJECT_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [MESSAGES] [numeric] (10) NOT NULL,
 [BYTES] [numeric] (20) NOT NULL
);
GO

CREATE TABLE [SCENARIO] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [DISPLAY] [nvarchar] (64),
 [UNIQUEID] [varchar] (32),
 [APPMODELITEM_ID] [numeric] (19),
 CONSTRAINT [SCENARIO_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [SCENARIO_U1] UNIQUE
 (
 [APPMODELITEM_ID],
 [UNIQUEID],
 [DISPLAY]
 )
);
GO

CREATE TABLE [SCENARIO_EXECUTION] (
 [EXECUTION_ID] [numeric] (19) NOT NULL,
 [SCENARIO_ID] [numeric] (19) NOT NULL,
 CONSTRAINT [SCENARIO_EXECUTION_PK] PRIMARY KEY
 (
 [EXECUTION_ID]
 )
);
GO

CREATE TABLE [SONIC_AGENT_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [DOMAIN] [nvarchar] (256) NOT NULL,
 [CONTAINER] [nvarchar] (256) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [SONIC_AGENT_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE INDEX [SONIC_AGENT_MRX_IDX1] ON [SONIC_AGENT_MRV]
 (
 [DOMAIN]
 );
GO

CREATE INDEX [SONIC_AGENT_MRX_IDX2] ON [SONIC_AGENT_MRV]
 (
 [CONTAINER]
 );
GO

CREATE TABLE [SONIC_AGENT_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [SONIC_AGENT_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [POOLWAITS] [numeric] (10),
 [MAXPOOLSIZE] [numeric] (10),
 [POOLSIZE] [numeric] (10),
 [TOTALTHREADS] [numeric] (10),
 [MAXMEMUSAGE] [numeric] (10),
 [MEMUSAGE] [numeric] (10)
);
GO

CREATE TABLE [SONIC_BROKER_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [SONIC_AGENT_MRV_ID] [numeric] (19) NOT NULL,
 [BROKER] [nvarchar] (256) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [SONIC_BROKER_MRV_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [SONIC_BROKER_MRV_U1] UNIQUE
 (
 [SONIC_AGENT_MRV_ID],
 [BROKER]
 )
);
GO

CREATE TABLE [SONIC_BROKER_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [SONIC_BROKER_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [APPMSGRECEIVED] [numeric] (10),
 [APPMSGDELIVERED] [numeric] (10),
 [BYTESRECEIVED] [numeric] (10),
 [BYTESDELIVERED] [numeric] (10),
 [CONNSCOUNT] [numeric] (10),
 [CONNSREJECT] [numeric] (10),
 [TOPICSTORESIZE] [numeric] (10)
);
GO

CREATE TABLE [SONIC_CONNS_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [SONIC_AGENT_MRV_ID] [numeric] (19) NOT NULL,
 [BROKER] [nvarchar] (256) NOT NULL,
 [CONN] [nvarchar] (256) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [SONIC_CONNS_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE INDEX [SONIC_CONNS_MRV_IDX1] ON [SONIC_CONNS_MRV]
 (
 [SONIC_AGENT_MRV_ID],
 [BROKER]
 );
GO

CREATE INDEX [SONIC_CONNS_MRV_IDX2] ON [SONIC_CONNS_MRV]
 (
 [CONN]
 );
GO

CREATE TABLE [SONIC_CONNS_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [SONIC_CONNS_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [MSGRECEIVED] [numeric] (10),
 [MSGDELIVERED] [numeric] (10)
);
GO

CREATE TABLE [SONIC_QUEUE_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [SONIC_AGENT_MRV_ID] [numeric] (19) NOT NULL,
 [BROKER] [nvarchar] (256) NOT NULL,
 [QUEUE] [nvarchar] (256) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [SONIC_QUEUE_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE INDEX [SONIC_QUEUE_MRV_IDX1] ON [SONIC_QUEUE_MRV]
 (
 [SONIC_AGENT_MRV_ID],
 [BROKER]
 );
GO

CREATE INDEX [SONIC_QUEUE_MRV_IDX2] ON [SONIC_QUEUE_MRV]
 (
 [QUEUE]
 );
GO

CREATE TABLE [SONIC_QUEUE_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [SONIC_QUEUE_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [MSGDELIVERED] [numeric] (10),
 [MSGRECEIVED] [numeric] (10),
 [MAXDEPTH] [numeric] (10),
 [MSGCOUNT] [numeric] (10),
 [MSGSIZE] [numeric] (10)
);
GO

CREATE TABLE [STATUS] (
 [ID] [numeric] (10) IDENTITY (1, 1) NOT NULL,
 [DISPLAY] [nvarchar] (10) NOT NULL,
 CONSTRAINT [STATUS_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [STATUS_U1] UNIQUE
 (
 [DISPLAY]
 )
);
GO

CREATE TABLE [SUITE_EXECUTION] (
 [EXECUTION_ID] [numeric] (19) NOT NULL,
 [ACTION_EXECUTION_ID] [numeric] (19),
 [APPMODELITEM_ID] [numeric] (19) NOT NULL,
 [EXPIRATION] [numeric] (20),
 CONSTRAINT [SUITE_EXECUTION_PK] PRIMARY KEY
 (
 [EXECUTION_ID]
 )
);
GO

CREATE TABLE [SYSSTAT_PROC_STATS_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [SYSSTAT_SYS_STATS_MRV_ID] [numeric] (19) NOT NULL,
 [PROCESS_NAME] [nvarchar] (256) NOT NULL,
 [PROCESS_ID] [nvarchar] (256) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [PROCESS_CPU] [float] (38),
 [PROCESS_MEM] [float] (38),
 CONSTRAINT [SYSSTAT_PROC_STATS_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE INDEX [SYSSTAT_PROC_STATS_MRV_IDX1] ON [SYSSTAT_PROC_STATS_MRV]
 (
 [SYSSTAT_SYS_STATS_MRV_ID],
 [PROCESS_NAME]
 );
GO

CREATE INDEX [SYSSTAT_PROC_STATS_MRV_IDX2] ON [SYSSTAT_PROC_STATS_MRV]
 (
 [PROCESS_ID]
 );
GO

CREATE TABLE [SYSSTAT_PROC_STATS_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [SYSSTAT_PROC_STATS_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [PROCESS_CPU] [float] (38),
 [PROCESS_MEM] [float] (38)
);
GO

CREATE TABLE [SYSSTAT_SYS_STATS_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [HOSTNAME] [nvarchar] (256) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [AVG_CPU_LOAD] [float] (38) NOT NULL,
 [CPU_LOAD_1] [float] (38),
 [CPU_LOAD_2] [float] (38),
 [CPU_LOAD_3] [float] (38),
 [CPU_LOAD_4] [float] (38),
 [CPU_LOAD_5] [float] (38),
 [CPU_LOAD_6] [float] (38),
 [CPU_LOAD_7] [float] (38),
 [CPU_LOAD_8] [float] (38),
 [USED_RAM] [float] (38) NOT NULL,
 [DISK_BUSY] [float] (38) NOT NULL,
 [NETWORK_USAGE] [float] (38) NOT NULL,
 [NETWORK_ERRORS] [float] (38) NOT NULL,
 [WAITING_THREADS] [float] (38) NOT NULL,
 [MEMORY_SATURATION] [float] (38) NOT NULL,
 [WAITING_DISK_OPS] [float] (38) NOT NULL,
 [USED_SWAP] [float] (38) NOT NULL,
 CONSTRAINT [SYSSTAT_SYS_STATS_MRV_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [SYSSTAT_SYS_STATS_MRV_U1] UNIQUE
 (
 [HOSTNAME]
 )
);
GO

CREATE TABLE [SYSSTAT_SYS_STATS_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [SYSSTAT_SYS_STATS_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [AVG_CPU_LOAD] [float] (38) NOT NULL,
 [CPU_LOAD_1] [float] (38),
 [CPU_LOAD_2] [float] (38),
 [CPU_LOAD_3] [float] (38),
 [CPU_LOAD_4] [float] (38),
 [CPU_LOAD_5] [float] (38),
 [CPU_LOAD_6] [float] (38),
 [CPU_LOAD_7] [float] (38),
 [CPU_LOAD_8] [float] (38),
 [USED_RAM] [float] (38) NOT NULL,
 [DISK_BUSY] [float] (38) NOT NULL,
 [NETWORK_USAGE] [float] (38) NOT NULL,
 [NETWORK_ERRORS] [float] (38) NOT NULL,
 [WAITING_THREADS] [float] (38) NOT NULL,
 [MEMORY_SATURATION] [float] (38) NOT NULL,
 [WAITING_DISK_OPS] [float] (38) NOT NULL,
 [USED_SWAP] [float] (38) NOT NULL
);
GO

CREATE TABLE [TESTENGINE_ENGINE_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [URL] [nvarchar] (255) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [TESTENGINE_ENGINE_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [TESTENGINE_ENGINE_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [TESTENGINE_ENGINE_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [DB_WRITES] [numeric] (10) NOT NULL,
 [THREAD_POOL_USAGE] [float] (38) NOT NULL,
 [THREADS_USED] [numeric] (10) NOT NULL,
 [MEMORY_USAGE] [float] (38) NOT NULL,
 [MEMORY_USED] [numeric] (10) NOT NULL
);
GO

CREATE TABLE [TESTENGINE_SEQ_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [TESTENGINE_ENGINE_MRV_ID] [numeric] (19) NOT NULL,
 [SEQ_NAME] [nvarchar] (255) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [TESTENGINE_SEQ_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [TESTENGINE_SEQ_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [TESTENGINE_SEQ_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [AVG_DURATION] [float] (38) NOT NULL,
 [MAX_DURATION] [numeric] (10) NOT NULL,
 [MIN_DURATION] [numeric] (10) NOT NULL,
 [AVG_DURATION_FAIL] [float] (38) NOT NULL,
 [MAX_DURATION_FAIL] [numeric] (10) NOT NULL,
 [MIN_DURATION_FAIL] [numeric] (10) NOT NULL,
 [RATE_STARTED] [float] (38) NOT NULL,
 [RATE_COMPLETED] [float] (38) NOT NULL
);
GO

CREATE TABLE [TESTENGINE_TRANS_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [TESTENGINE_ENGINE_MRV_ID] [numeric] (19) NOT NULL,
 [TRANS_NAME] [nvarchar] (255) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [TESTENGINE_TRANS_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [TESTENGINE_TRANS_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [TESTENGINE_TRANS_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [AVG_DURATION] [float] (38) NOT NULL,
 [MAX_DURATION] [numeric] (20) NOT NULL,
 [MIN_DURATION] [numeric] (20) NOT NULL,
 [AVG_DURATION_FAIL] [float] (38) NOT NULL,
 [MAX_DURATION_FAIL] [numeric] (20) NOT NULL,
 [MIN_DURATION_FAIL] [numeric] (20) NOT NULL,
 [RATE_STARTED] [float] (38) NOT NULL,
 [RATE_PASSED] [float] (38) NOT NULL,
 [RATE_FAILED] [float] (38) NOT NULL,
 [RATE_TIMEOUT] [float] (38) NOT NULL
);
GO

CREATE TABLE [TESTER_SEQ_END_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [APPMODELITEM_ID] [numeric] (19) NOT NULL,
 [SEQ_NAME] [nvarchar] (255) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [TESTER_SEQ_END_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [TESTER_SEQ_END_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [TESTER_SEQ_END_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [AVG_DURATION] [float] (38) NOT NULL DEFAULT 0,
 [MAX_DURATION] [numeric] (20) NOT NULL DEFAULT 0,
 [MIN_DURATION] [numeric] (20) NOT NULL DEFAULT 0,
 [AVG_DURATION_FAIL] [float] (38) NOT NULL DEFAULT 0,
 [MAX_DURATION_FAIL] [numeric] (20) NOT NULL DEFAULT 0,
 [MIN_DURATION_FAIL] [numeric] (20) NOT NULL DEFAULT 0,
 [RATE_ENDED] [float] (38) NOT NULL,
 [RATE_PASSED] [float] (38) NOT NULL,
 [RATE_FAILED] [float] (38) NOT NULL,
 [RATE_TIMEOUT] [float] (38) NOT NULL
);
GO

CREATE TABLE [TESTER_SEQ_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [APPMODELITEM_ID] [numeric] (19) NOT NULL,
 [SEQ_NAME] [nvarchar] (255) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [TESTER_SEQ_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [TESTER_SEQ_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [TESTER_SEQ_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [AVG_DURATION] [float] (38) NOT NULL DEFAULT 0,
 [MAX_DURATION] [numeric] (20) NOT NULL DEFAULT 0,
 [MIN_DURATION] [numeric] (20) NOT NULL DEFAULT 0,
 [AVG_DURATION_FAIL] [float] (38) NOT NULL DEFAULT 0,
 [MAX_DURATION_FAIL] [numeric] (20) NOT NULL DEFAULT 0,
 [MIN_DURATION_FAIL] [numeric] (20) NOT NULL DEFAULT 0,
 [RATE_STARTED] [float] (38) NOT NULL,
 [RATE_PASSED] [float] (38) NOT NULL,
 [RATE_FAILED] [float] (38) NOT NULL,
 [RATE_TIMEOUT] [float] (38) NOT NULL
);
GO

CREATE TABLE [TESTER_TRANS_END_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [APPMODELITEM_ID] [numeric] (19) NOT NULL,
 [TRANS_NAME] [nvarchar] (255) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [TESTER_TRANS_END_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [TESTER_TRANS_END_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [TESTER_TRANS_END_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [AVG_DURATION] [float] (38) NOT NULL DEFAULT 0,
 [MAX_DURATION] [numeric] (10) NOT NULL DEFAULT 0,
 [MIN_DURATION] [numeric] (10) NOT NULL DEFAULT 0,
 [AVG_DURATION_FAIL] [float] (38) NOT NULL DEFAULT 0,
 [MAX_DURATION_FAIL] [numeric] (10) NOT NULL DEFAULT 0,
 [MIN_DURATION_FAIL] [numeric] (10) NOT NULL DEFAULT 0,
 [RATE_ENDED] [float] (38) NOT NULL,
 [RATE_PASSED] [float] (38) NOT NULL,
 [RATE_FAILED] [float] (38) NOT NULL,
 [RATE_TIMEOUT] [float] (38) NOT NULL
);
GO

CREATE TABLE [TESTER_TRANS_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [APPMODELITEM_ID] [numeric] (19) NOT NULL,
 [TRANS_NAME] [nvarchar] (255) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 CONSTRAINT [TESTER_TRANS_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [TESTER_TRANS_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [TESTER_TRANS_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [AVG_DURATION] [float] (38) NOT NULL DEFAULT 0,
 [MAX_DURATION] [numeric] (20) NOT NULL DEFAULT 0,
 [MIN_DURATION] [numeric] (20) NOT NULL DEFAULT 0,
 [AVG_DURATION_FAIL] [float] (38) NOT NULL DEFAULT 0,
 [MAX_DURATION_FAIL] [numeric] (20) NOT NULL DEFAULT 0,
 [MIN_DURATION_FAIL] [numeric] (20) NOT NULL DEFAULT 0,
 [RATE_STARTED] [float] (38) NOT NULL,
 [RATE_PASSED] [float] (38) NOT NULL,
 [RATE_FAILED] [float] (38) NOT NULL,
 [RATE_TIMEOUT] [float] (38) NOT NULL
);
GO

CREATE TABLE [TEST_CYCLE] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [EXECUTION_ID] [numeric] (19) NOT NULL,
 [DISPLAY] [nvarchar] (256) NOT NULL,
 [COMMENTS] [nvarchar] (4000),
 [IS_CLOSED] [char] (1) NOT NULL,
 [CREATED_BY] [nvarchar] (256) NOT NULL,
 [CREATE_DATE] [numeric] (20) NOT NULL,
 [CLOSED_BY] [nvarchar] (256),
 [CLOSED_DATE] [numeric] (20),
 CONSTRAINT [TEST_CYCLE_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [TEST_CYCLE_UNIQUE] UNIQUE
 (
 [DISPLAY]
 )
);
GO

CREATE TABLE [TEST_CYCLE_PROJECT] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [TEST_CYCLE_ID] [numeric] (19) NOT NULL,
 [PROJECT_ID] [numeric] (19) NOT NULL,
 [JOINED_DATE] [numeric] (20) NOT NULL,
 [ALL_ENVIRONMENTS] [char] (1) NOT NULL,
 [ALLOW_EXTERNAL_TOOLS] [char] (1) NOT NULL,
 [IS_JOINED] [char] (1) NOT NULL,
 CONSTRAINT [TEST_CYCLE_PROJECT_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [TRP_UNIQUE] UNIQUE
 (
 [TEST_CYCLE_ID],
 [PROJECT_ID]
 )
);
GO

CREATE TABLE [TEST_CYCLE_PROJECT_ENV] (
 [TEST_CYCLE_PROJECT_ID] [numeric] (19) NOT NULL,
 [ENVIRONMENT] [nvarchar] (256) NOT NULL,
 CONSTRAINT [TEST_CYCLE_PROJECT_ENV_PK] PRIMARY KEY
 (
 [TEST_CYCLE_PROJECT_ID],
 [ENVIRONMENT]
 )
);
GO

CREATE TABLE [TEST_CYCLE_PROJECT_USER] (
 [TEST_CYCLE_PROJECT_ID] [numeric] (19) NOT NULL,
 [USERNAME] [nvarchar] (256) NOT NULL,
 [JOINED_DATE] [numeric] (20) NOT NULL,
 CONSTRAINT [TEST_CYCLE_PROJECT_USR_PK] PRIMARY KEY
 (
 [TEST_CYCLE_PROJECT_ID],
 [USERNAME]
 )
);
GO

CREATE TABLE [TRANSACTION] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [NAME] [nvarchar] (255) NOT NULL,
 CONSTRAINT [TRANSACTION_PK] PRIMARY KEY
 (
 [ID]
 ),
 CONSTRAINT [TRANSACTION_U1] UNIQUE
 (
 [NAME]
 )
);
GO

CREATE TABLE [TRANS_HISTORY] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [ITER_HIST_ID] [numeric] (19),
 [TRANS_ID] [numeric] (19) NOT NULL,
 [START_TIME] [numeric] (20) NOT NULL,
 [END_TIME] [numeric] (20),
 [DURATION] [numeric] (20),
 [RESULT] [numeric] (3),
 CONSTRAINT [TRANS_HISTORY_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [WMBROKER_B_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [HOST] [nvarchar] (256) NOT NULL,
 [PORT] [numeric] (10) NOT NULL,
 [BROKER] [nvarchar] (256) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [CLIENTS] [numeric] (10),
 [EVENT_TYPES] [numeric] (10),
 [EVENT_LOG_LENGTH] [numeric] (10),
 [NUM_PUBLISHED] [numeric] (10),
 [NUM_DELIVERED] [numeric] (10),
 [NUM_TRACE_PUBLISHED] [numeric] (10),
 [NUM_QUEUED] [numeric] (10),
 [NUM_TRACE_SESSIONS] [numeric] (10),
 [MAX_PUBLISHES] [numeric] (10),
 [MAX_EVENTS] [numeric] (10),
 [NEXT_SEQUENCE] [numeric] (10),
 [RETRY_ATTEMPTS] [numeric] (10),
 [RESERVED_PUBLISHES] [numeric] (10),
 [GUARANTEED_PUBLISHES] [numeric] (10),
 [VOLATILE_PUBLISHES] [numeric] (10),
 [GUARANTEED_EVENTS] [numeric] (10),
 [VOLATILE_EVENTS] [numeric] (10),
 [CURRENT_PUBLISHES] [numeric] (10),
 [CURRENT_EVENTS] [numeric] (10),
 [NUM_EVENTS_QUEUED] [numeric] (10),
 [LAST_ENQUEUE_TIME] [numeric] (20),
 [QUEUE_LENGTH] [numeric] (10),
 [QUEUE_SIZE] [numeric] (10),
 [QUEUE_HIGHEST_LENGTH] [numeric] (10),
 [QUEUE_HIGHEST_LENGTH_TIME] [numeric] (20),
 CONSTRAINT [WMBROKER_B_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [WMBROKER_B_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [WMBROKER_B_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [CLIENTS] [numeric] (10),
 [EVENT_TYPES] [numeric] (10),
 [EVENT_LOG_LENGTH] [numeric] (10),
 [NUM_PUBLISHED] [numeric] (10),
 [NUM_DELIVERED] [numeric] (10),
 [NUM_TRACE_PUBLISHED] [numeric] (10),
 [NUM_QUEUED] [numeric] (10),
 [NUM_TRACE_SESSIONS] [numeric] (10),
 [MAX_PUBLISHES] [numeric] (10),
 [MAX_EVENTS] [numeric] (10),
 [NEXT_SEQUENCE] [numeric] (10),
 [RETRY_ATTEMPTS] [numeric] (10),
 [RESERVED_PUBLISHES] [numeric] (10),
 [GUARANTEED_PUBLISHES] [numeric] (10),
 [VOLATILE_PUBLISHES] [numeric] (10),
 [GUARANTEED_EVENTS] [numeric] (10),
 [VOLATILE_EVENTS] [numeric] (10),
 [CURRENT_PUBLISHES] [numeric] (10),
 [CURRENT_EVENTS] [numeric] (10),
 [NUM_EVENTS_QUEUED] [numeric] (10),
 [LAST_ENQUEUE_TIME] [numeric] (20),
 [QUEUE_LENGTH] [numeric] (10),
 [QUEUE_SIZE] [numeric] (10),
 [QUEUE_HIGHEST_LENGTH] [numeric] (10),
 [QUEUE_HIGHEST_LENGTH_TIME] [numeric] (20)
);
GO

CREATE TABLE [WMBROKER_CG_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [WMBROKER_B_MRV_ID] [numeric] (19) NOT NULL,
 [CLIENT_GROUP] [nvarchar] (256) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [NUM_PUBLISHED] [numeric] (10),
 [NUM_DELIVERED] [numeric] (10),
 [LAST_PUBLISHED] [numeric] (20),
 [LAST_DELIVERED] [numeric] (20),
 CONSTRAINT [WMBROKER_CG_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [WMBROKER_CG_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [WMBROKER_CG_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [NUM_PUBLISHED] [numeric] (10),
 [NUM_DELIVERED] [numeric] (10),
 [LAST_PUBLISHED] [numeric] (20),
 [LAST_DELIVERED] [numeric] (20)
);
GO

CREATE TABLE [WMBROKER_C_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [WMBROKER_B_MRV_ID] [numeric] (19) NOT NULL,
 [CLIENT] [nvarchar] (256) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [NUM_PUBLISHED] [numeric] (10),
 [NUM_DELIVERED] [numeric] (10),
 [NUM_QUEUED] [numeric] (10),
 [NUM_RETRIEVED] [numeric] (10),
 [NUM_UNACKED] [numeric] (10),
 [LAST_PUBLISHED] [numeric] (20),
 [LAST_DELIVERED] [numeric] (20),
 [LAST_QUEUED] [numeric] (20),
 [LAST_RETRIEVED] [numeric] (20),
 [QUEUE_LENGTH] [numeric] (10),
 [QUEUE_SIZE] [numeric] (10),
 [HIGH_QUEUE_LENGTH] [numeric] (10),
 [HIGH_QUEUE_LENGTH_TIME] [numeric] (20),
 CONSTRAINT [WMBROKER_C_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [WMBROKER_C_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [WMBROKER_C_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [NUM_PUBLISHED] [numeric] (10),
 [NUM_DELIVERED] [numeric] (10),
 [NUM_QUEUED] [numeric] (10),
 [NUM_RETRIEVED] [numeric] (10),
 [NUM_UNACKED] [numeric] (10),
 [LAST_PUBLISHED] [numeric] (20),
 [LAST_DELIVERED] [numeric] (20),
 [LAST_QUEUED] [numeric] (20),
 [LAST_RETRIEVED] [numeric] (20),
 [QUEUE_LENGTH] [numeric] (10),
 [QUEUE_SIZE] [numeric] (10),
 [HIGH_QUEUE_LENGTH] [numeric] (10),
 [HIGH_QUEUE_LENGTH_TIME] [numeric] (20)
);
GO

CREATE TABLE [WMBROKER_ET_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [WMBROKER_B_MRV_ID] [numeric] (19) NOT NULL,
 [EVENT_TYPE] [nvarchar] (256) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [NUM_PUBLISHED] [numeric] (10),
 [NUM_DELIVERED] [numeric] (10),
 [LAST_PUBLISHED] [numeric] (20),
 [LAST_DELIVERED] [numeric] (20),
 [NUM_SUBSCRIPTIONS] [numeric] (10),
 [NUM_FORWARDS] [numeric] (10),
 [LAST_FORWARD] [numeric] (20),
 [PUBLISH_GROUPS] [numeric] (10),
 [SUBSCRIBE_GROUPS] [numeric] (10),
 CONSTRAINT [WMBROKER_ET_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [WMBROKER_ET_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [WMBROKER_ET_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [NUM_PUBLISHED] [numeric] (10),
 [NUM_DELIVERED] [numeric] (10),
 [LAST_PUBLISHED] [numeric] (20),
 [LAST_DELIVERED] [numeric] (20),
 [NUM_SUBSCRIPTIONS] [numeric] (10),
 [NUM_FORWARDS] [numeric] (10),
 [LAST_FORWARD] [numeric] (20),
 [PUBLISH_GROUPS] [numeric] (10),
 [SUBSCRIBE_GROUPS] [numeric] (10)
);
GO

CREATE TABLE [WMIS_SERVER_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [HOST] [nvarchar] (256) NOT NULL,
 [PORT] [numeric] (10) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [CURR_SYS_THREADS] [numeric] (10) NOT NULL,
 [PEAK_SYS_THREADS] [numeric] (10) NOT NULL,
 [CURR_SVC_THREADS] [numeric] (10) NOT NULL,
 [PEAK_SVC_THREADS] [numeric] (10) NOT NULL,
 [CURR_TOT_SESS] [numeric] (10) NOT NULL,
 [PEAK_TOT_SESS] [numeric] (10) NOT NULL,
 [CURR_LIC_SESS] [numeric] (10) NOT NULL,
 [PEAK_LIC_SESS] [numeric] (10) NOT NULL,
 [COMPLETED_REQS] [numeric] (10) NOT NULL,
 [AVG_REQ_TIME] [numeric] (10) NOT NULL,
 [TOT_AVG_REQ_TIME] [numeric] (10) NOT NULL,
 [SVC_ERR_COUNT] [numeric] (10) NOT NULL,
 [START_REQ_RATE] [numeric] (10) NOT NULL,
 [END_REQ_RATE] [numeric] (10) NOT NULL,
 [TOT_JVM_MEM] [numeric] (10) NOT NULL,
 [USED_JVM_MEM] [numeric] (10) NOT NULL,
 [FREE_JVM_MEM] [numeric] (10) NOT NULL,
 [UPTIME] [numeric] (10) NOT NULL,
 [TOT_INVOKED] [numeric] (10) NOT NULL,
 [CACHED_SVC] [numeric] (10) NOT NULL,
 [PREFETCHED_SVC] [numeric] (10) NOT NULL,
 CONSTRAINT [WMIS_SERVER_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [WMIS_SERVER_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [WMIS_SERVER_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [CURR_SYS_THREADS] [numeric] (10) NOT NULL,
 [PEAK_SYS_THREADS] [numeric] (10) NOT NULL,
 [CURR_SVC_THREADS] [numeric] (10) NOT NULL,
 [PEAK_SVC_THREADS] [numeric] (10) NOT NULL,
 [CURR_TOT_SESS] [numeric] (10) NOT NULL,
 [PEAK_TOT_SESS] [numeric] (10) NOT NULL,
 [CURR_LIC_SESS] [numeric] (10) NOT NULL,
 [PEAK_LIC_SESS] [numeric] (10) NOT NULL,
 [COMPLETED_REQS] [numeric] (10) NOT NULL,
 [AVG_REQ_TIME] [numeric] (10) NOT NULL,
 [TOT_AVG_REQ_TIME] [numeric] (10) NOT NULL,
 [SVC_ERR_COUNT] [numeric] (10) NOT NULL,
 [START_REQ_RATE] [numeric] (10) NOT NULL,
 [END_REQ_RATE] [numeric] (10) NOT NULL,
 [TOT_JVM_MEM] [numeric] (10) NOT NULL,
 [USED_JVM_MEM] [numeric] (10) NOT NULL,
 [FREE_JVM_MEM] [numeric] (10) NOT NULL,
 [UPTIME] [numeric] (10) NOT NULL,
 [TOT_INVOKED] [numeric] (10) NOT NULL,
 [CACHED_SVC] [numeric] (10) NOT NULL,
 [PREFETCHED_SVC] [numeric] (10) NOT NULL
);
GO

CREATE TABLE [WMIS_SERVICE_MRV] (
 [ID] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [WMIS_SERVER_MRV_ID] [numeric] (19) NOT NULL,
 [SERVICE] [nvarchar] (256) NOT NULL,
 [TIME] [numeric] (20) NOT NULL,
 [INVOKED] [numeric] (10) NOT NULL,
 CONSTRAINT [WMIS_SERVICE_MRV_PK] PRIMARY KEY
 (
 [ID]
 )
);
GO

CREATE TABLE [WMIS_SERVICE_TS] (
 [IDX] [numeric] (19) NOT NULL,
 [WMIS_SERVICE_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [INVOKED] [numeric] (10) NOT NULL
);
GO

CREATE INDEX [ACTION_EXECUTION_PID_IDX] ON [ACTION_EXECUTION] ([PARENT_ID]);
GO

CREATE INDEX [FLEX_DOUBLE_INDEX1] ON [FLEX_DOUBLE] (
 [ROW_],
 [EVENT]
);
GO

CREATE INDEX [FLEX_EVENT_INDEX1] ON [FLEX_EVENT] ([MILLIS_1970_UTC]);
GO

CREATE INDEX [FLEX_LONG_INDEX1] ON [FLEX_LONG] (
 [ROW_],
 [EVENT]
);
GO

CREATE INDEX [SUITE_EXECUTION_EXP_INDEX] ON [SUITE_EXECUTION] ([EXPIRATION]);
GO

CREATE INDEX [TCP_TEST_CYCLE_ID_FK] ON [TEST_CYCLE_PROJECT] ([TEST_CYCLE_ID]);
GO

CREATE INDEX [TCP_PROJECTID_FK] ON [TEST_CYCLE_PROJECT] ([PROJECT_ID]);
GO

CREATE INDEX [TCPE_TEST_CYCLE_PROJECTID_FK] ON [TEST_CYCLE_PROJECT_ENV] ([TEST_CYCLE_PROJECT_ID]);
GO

CREATE INDEX [TCPU_TEST_CYCLE_PROJECTID_FK] ON [TEST_CYCLE_PROJECT_USER] ([TEST_CYCLE_PROJECT_ID]);
GO

CREATE INDEX [ACTION_ACTIONTYPEID_FK] ON [ACTION] ([ACTIONTYPE_ID]);
GO

CREATE INDEX [ACTION_EXECUTION_ACTIONID_FK] ON [ACTION_EXECUTION] ([ACTION_ID]);
GO

CREATE INDEX [APPMODELITEM_APPMODELTYPEID_FK] ON [APPMODELITEM] ([APPMODELTYPE_ID]);
GO

CREATE INDEX [APPMODELITEM_PARENTID_FK] ON [APPMODELITEM] ([PARENT_ID]);
GO

CREATE INDEX [BWACTIVITY_TS_EXECUTIONID_FK] ON [BWACTIVITY_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [BWACTIVITY_TS_BWACTIVITYMRV_FK] ON [BWACTIVITY_TS] ([BWACTIVITY_MRV_ID]);
GO

CREATE INDEX [BWHOST_TS_EXECUTIONID_FK] ON [BWHOST_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [BWHOST_TS_BWHOSTMRVID_FK] ON [BWHOST_TS] ([BWHOST_MRV_ID]);
GO

CREATE INDEX [BWPROC_TS_EXECUTIONID_FK] ON [BWPROC_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [BWPROC_TS_BWPROCMRVID_FK] ON [BWPROC_TS] ([BWPROC_MRV_ID]);
GO

CREATE INDEX [COVERAGE_EXECUTIONID_FK] ON [COVERAGE] ([EXECUTION_ID]);
GO

CREATE INDEX [DETAIL_EXECUTION_ACTIONEXEC_FK] ON [DETAIL_EXECUTION] ([ACTION_EXECUTION_ID]);
GO

CREATE INDEX [DETAIL_EXECUTION_APPMODELIT_FK] ON [DETAIL_EXECUTION] ([APPMODELITEM_ID]);
GO

CREATE INDEX [DQGROUP_TS_EXECUTIONID_FK] ON [DQGROUP_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [DQGROUP_TS_DQGROUPMRVID_FK] ON [DQGROUP_TS] ([DQGROUP_MRV_ID]);
GO

CREATE INDEX [DQMEMBER_TS_EXECUTIONID_FK] ON [DQMEMBER_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [DQMEMBER_TS_DQMEMBERMRVID_FK] ON [DQMEMBER_TS] ([DQMEMBER_MRV_ID]);
GO

CREATE INDEX [DT_EXECUTIONID_FK] ON [DT] ([EXECUTION_ID]);
GO

CREATE INDEX [DT_HISTORY_AGENTID_FK] ON [DT_HISTORY] ([AGENT_ID]);
GO

CREATE INDEX [DT_HISTORY_DTID_FK] ON [DT_HISTORY] ([DT_ID]);
GO

CREATE INDEX [EMS_QUEUE_TS_EXECUTIONID_FK] ON [EMS_QUEUE_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [EMS_QUEUE_TS_EMSQUEUEMRVID_FK] ON [EMS_QUEUE_TS] ([EMS_QUEUE_MRV_ID]);
GO

CREATE INDEX [EMS_ROUTE_TS_EXECUTIONID_FK] ON [EMS_ROUTE_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [EMS_ROUTE_TS_EMSROUTEMRVID_FK] ON [EMS_ROUTE_TS] ([EMS_ROUTE_MRV_ID]);
GO

CREATE INDEX [EMS_SERVER_TS_EXECUTIONID_FK] ON [EMS_SERVER_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [EMS_SERVER_TS_EMSSERVERMRVI_FK] ON [EMS_SERVER_TS] ([EMS_SERVER_MRV_ID]);
GO

CREATE INDEX [EMS_TOPIC_TS_EXECUTIONID_FK] ON [EMS_TOPIC_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [EMS_TOPIC_TS_EMSTOPICMRVID_FK] ON [EMS_TOPIC_TS] ([EMS_TOPIC_MRV_ID]);
GO

CREATE INDEX [EXECUTION_PARENTID_FK] ON [EXECUTION] ([PARENT_ID]);
GO

CREATE INDEX [EXECUTION_STATUSID_FK] ON [EXECUTION] ([STATUS_ID]);
GO

CREATE INDEX [EXECUTION_ROOTID_FK] ON [EXECUTION] ([ROOT_ID]);
GO

CREATE INDEX [EXECUTION_ENVIRONMENT_FK] ON [EXECUTION] ([ENVIRONMENT]);
GO

CREATE INDEX [EXECUTION_LOCK_PERSONID_FK] ON [EXECUTION_LOCK] ([PERSON_ID]);
GO

CREATE INDEX [FLEX_DOUBLE_EVENT_FK] ON [FLEX_DOUBLE] ([EVENT]);
GO

CREATE INDEX [FLEX_LONG_EVENT_FK] ON [FLEX_LONG] ([EVENT]);
GO

CREATE INDEX [ITER_HISTORY_DTHISTID_FK] ON [ITER_HISTORY] ([DT_HIST_ID]);
GO

CREATE INDEX [LOGMEASUREMENT_MRV_ATTRID1_FK] ON [LOGMEASUREMENT_MRV] ([ATTR_ID_1]);
GO

CREATE INDEX [LOGMEASUREMENT_MRV_ATTRID2_FK] ON [LOGMEASUREMENT_MRV] ([ATTR_ID_2]);
GO

CREATE INDEX [LOGMEASUREMENT_MRV_ATTRID3_FK] ON [LOGMEASUREMENT_MRV] ([ATTR_ID_3]);
GO

CREATE INDEX [LOGMEASUREMENT_MRV_ATTRID4_FK] ON [LOGMEASUREMENT_MRV] ([ATTR_ID_4]);
GO

CREATE INDEX [LOGMEASUREMENT_MRV_ATTRID5_FK] ON [LOGMEASUREMENT_MRV] ([ATTR_ID_5]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_EXECUTION_FK] ON [LOGMEASUREMENT_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_LOGMEASUR_FK] ON [LOGMEASUREMENT_TS] ([LOGMEASUREMENT_MRV_ID]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID1_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_1]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID2_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_2]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID3_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_3]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID4_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_4]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID5_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_5]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID6_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_6]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID7_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_7]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_CTRID8_FK] ON [LOGMEASUREMENT_TS] ([CTR_ID_8]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_STRCTRID1_FK] ON [LOGMEASUREMENT_TS] ([STRCTR_ID_1]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_STRCTRID2_FK] ON [LOGMEASUREMENT_TS] ([STRCTR_ID_2]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_STRCTRID3_FK] ON [LOGMEASUREMENT_TS] ([STRCTR_ID_3]);
GO

CREATE INDEX [LOGMEASUREMENT_TS_STRCTRID4_FK] ON [LOGMEASUREMENT_TS] ([STRCTR_ID_4]);
GO

CREATE INDEX [PERFORM_CHARTS_PROJECTID_FK] ON [PERFORM_CHARTS] ([PROJECT_ID]);
GO

CREATE INDEX [PERFORM_CHARTS_EXECUTIONID_FK] ON [PERFORM_CHARTS] ([EXECUTION_ID]);
GO

CREATE INDEX [PERFORM_EXECUTION_APPMODELI_FK] ON [PERFORM_EXECUTION] ([APPMODELITEM_ID]);
GO

CREATE INDEX [RVHI_TS_EXECUTIONID_FK] ON [RVHI_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [RVHI_TS_RVHIMRVID_FK] ON [RVHI_TS] ([RVHI_MRV_ID]);
GO

CREATE INDEX [RVTRACE_MULTICAST_TS_EXECUT_FK] ON [RVTRACE_MULTICAST_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [RVTRACE_MULTICAST_TS_RVTRAC_FK] ON [RVTRACE_MULTICAST_TS] ([RVTRACE_MULTICAST_MRV_ID]);
GO

CREATE INDEX [RVTRACE_NETWORK_TS_EXECUTIO_FK] ON [RVTRACE_NETWORK_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [RVTRACE_NETWORK_TS_RVTRACEN_FK] ON [RVTRACE_NETWORK_TS] ([RVTRACE_NETWORK_MRV_ID]);
GO

CREATE INDEX [RVTRACE_PTP_TS_EXECUTIONID_FK] ON [RVTRACE_PTP_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [RVTRACE_PTP_TS_RVTRACEPTPMR_FK] ON [RVTRACE_PTP_TS] ([RVTRACE_PTP_MRV_ID]);
GO

CREATE INDEX [RVTRACE_RETRANS_TS_EXECUTIO_FK] ON [RVTRACE_RETRANS_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [RVTRACE_RETRANS_TS_RVTRACER_FK] ON [RVTRACE_RETRANS_TS] ([RVTRACE_RETRANS_MRV_ID]);
GO

CREATE INDEX [RVTRACE_SUBJECT_TS_EXECUTIO_FK] ON [RVTRACE_SUBJECT_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [RVTRACE_SUBJECT_TS_RVTRACES_FK] ON [RVTRACE_SUBJECT_TS] ([RVTRACE_SUBJECT_MRV_ID]);
GO

CREATE INDEX [SCENARIO_EXECUTION_SCENARIO_FK] ON [SCENARIO_EXECUTION] ([SCENARIO_ID]);
GO

CREATE INDEX [SONIC_AGENT_TS_EXECUTIONID_FK] ON [SONIC_AGENT_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [SONIC_AGENT_TS_SONICAGENTMR_FK] ON [SONIC_AGENT_TS] ([SONIC_AGENT_MRV_ID]);
GO

CREATE INDEX [SONIC_BROKER_TS_EXECUTIONID_FK] ON [SONIC_BROKER_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [SONIC_BROKER_TS_SONICBROKER_FK] ON [SONIC_BROKER_TS] ([SONIC_BROKER_MRV_ID]);
GO

CREATE INDEX [SONIC_CONNS_TS_EXECUTIONID_FK] ON [SONIC_CONNS_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [SONIC_CONNS_TS_SONICCONNSMR_FK] ON [SONIC_CONNS_TS] ([SONIC_CONNS_MRV_ID]);
GO

CREATE INDEX [SONIC_QUEUE_TS_EXECUTIONID_FK] ON [SONIC_QUEUE_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [SONIC_QUEUE_TS_SONICQUEUEMR_FK] ON [SONIC_QUEUE_TS] ([SONIC_QUEUE_MRV_ID]);
GO

CREATE INDEX [SUITE_EXECUTION_ACTIONEXECU_FK] ON [SUITE_EXECUTION] ([ACTION_EXECUTION_ID]);
GO

CREATE INDEX [SUITE_EXECUTION_APPMODELITE_FK] ON [SUITE_EXECUTION] ([APPMODELITEM_ID]);
GO

CREATE INDEX [SYSSTAT_PROC_STATS_TS_EXECU_FK] ON [SYSSTAT_PROC_STATS_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [SYSSTAT_PROC_STATS_TS_SYSST_FK] ON [SYSSTAT_PROC_STATS_TS] ([SYSSTAT_PROC_STATS_MRV_ID]);
GO

CREATE INDEX [SYSSTAT_SYS_STATS_TS_EXECUT_FK] ON [SYSSTAT_SYS_STATS_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [SYSSTAT_SYS_STATS_TS_SYSSTA_FK] ON [SYSSTAT_SYS_STATS_TS] ([SYSSTAT_SYS_STATS_MRV_ID]);
GO

CREATE INDEX [TESTENGINE_ENGINE_TS_EXECUT_FK] ON [TESTENGINE_ENGINE_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [TESTENGINE_ENGINE_TS_TESTEN_FK] ON [TESTENGINE_ENGINE_TS] ([TESTENGINE_ENGINE_MRV_ID]);
GO

CREATE INDEX [TESTENGINE_SEQ_MRV_TESTENGI_FK] ON [TESTENGINE_SEQ_MRV] ([TESTENGINE_ENGINE_MRV_ID]);
GO

CREATE INDEX [TESTENGINE_SEQ_TS_EXECUTION_FK] ON [TESTENGINE_SEQ_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [TESTENGINE_SEQ_TS_TESTENGIN_FK] ON [TESTENGINE_SEQ_TS] ([TESTENGINE_SEQ_MRV_ID]);
GO

CREATE INDEX [TESTENGINE_TRANS_MRV_TESTEN_FK] ON [TESTENGINE_TRANS_MRV] ([TESTENGINE_ENGINE_MRV_ID]);
GO

CREATE INDEX [TESTENGINE_TRANS_TS_EXECUTI_FK] ON [TESTENGINE_TRANS_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [TESTENGINE_TRANS_TS_TESTENG_FK] ON [TESTENGINE_TRANS_TS] ([TESTENGINE_TRANS_MRV_ID]);
GO

CREATE INDEX [TESTER_SEQ_END_MRV_APPMODEL_FK] ON [TESTER_SEQ_END_MRV] ([APPMODELITEM_ID]);
GO

CREATE INDEX [TESTER_SEQ_END_TS_EXECUTION_FK] ON [TESTER_SEQ_END_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [TESTER_SEQ_END_TS_TESTERSEQ_FK] ON [TESTER_SEQ_END_TS] ([TESTER_SEQ_END_MRV_ID]);
GO

CREATE INDEX [TESTER_SEQ_MRV_APPMODELITEM_FK] ON [TESTER_SEQ_MRV] ([APPMODELITEM_ID]);
GO

CREATE INDEX [TESTER_SEQ_TS_EXECUTIONID_FK] ON [TESTER_SEQ_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [TESTER_SEQ_TS_TESTERSEQMRVI_FK] ON [TESTER_SEQ_TS] ([TESTER_SEQ_MRV_ID]);
GO

CREATE INDEX [TESTER_TRANS_END_MRV_APPMOD_FK] ON [TESTER_TRANS_END_MRV] ([APPMODELITEM_ID]);
GO

CREATE INDEX [TESTER_TRANS_END_TS_EXECUTI_FK] ON [TESTER_TRANS_END_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [TESTER_TRANS_END_TS_TESTERT_FK] ON [TESTER_TRANS_END_TS] ([TESTER_TRANS_END_MRV_ID]);
GO

CREATE INDEX [TESTER_TRANS_MRV_APPMODELIT_FK] ON [TESTER_TRANS_MRV] ([APPMODELITEM_ID]);
GO

CREATE INDEX [TESTER_TRANS_TS_EXECUTIONID_FK] ON [TESTER_TRANS_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [TESTER_TRANS_TS_TESTERTRANS_FK] ON [TESTER_TRANS_TS] ([TESTER_TRANS_MRV_ID]);
GO

CREATE INDEX [TEST_CYCLE_EXECUTIONID_FK] ON [TEST_CYCLE] ([EXECUTION_ID]);
GO

CREATE INDEX [TRANS_HISTORY_TRANSID_FK] ON [TRANS_HISTORY] ([TRANS_ID]);
GO

CREATE INDEX [TRANS_HISTORY_ITERHISTID_FK] ON [TRANS_HISTORY] ([ITER_HIST_ID]);
GO

CREATE INDEX [WMBROKER_B_TS_WMBROKERBMRVI_FK] ON [WMBROKER_B_TS] ([WMBROKER_B_MRV_ID]);
GO

CREATE INDEX [WMBROKER_B_TS_EXECUTIONID_FK] ON [WMBROKER_B_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [WMBROKER_CG_MRV_WMBROKERBMR_FK] ON [WMBROKER_CG_MRV] ([WMBROKER_B_MRV_ID]);
GO

CREATE INDEX [WMBROKER_CG_TS_WMBROKERCGMR_FK] ON [WMBROKER_CG_TS] ([WMBROKER_CG_MRV_ID]);
GO

CREATE INDEX [WMBROKER_CG_TS_EXECUTIONID_FK] ON [WMBROKER_CG_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [WMBROKER_C_MRV_WMBROKERBMRV_FK] ON [WMBROKER_C_MRV] ([WMBROKER_B_MRV_ID]);
GO

CREATE INDEX [WMBROKER_C_TS_WMBROKERCMRVI_FK] ON [WMBROKER_C_TS] ([WMBROKER_C_MRV_ID]);
GO

CREATE INDEX [WMBROKER_C_TS_EXECUTIONID_FK] ON [WMBROKER_C_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [WMBROKER_ET_MRV_WMBROKERBMR_FK] ON [WMBROKER_ET_MRV] ([WMBROKER_B_MRV_ID]);
GO

CREATE INDEX [WMBROKER_ET_TS_WMBROKERETMR_FK] ON [WMBROKER_ET_TS] ([WMBROKER_ET_MRV_ID]);
GO

CREATE INDEX [WMBROKER_ET_TS_EXECUTIONID_FK] ON [WMBROKER_ET_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [WMIS_SERVER_TS_WMISSERVERMR_FK] ON [WMIS_SERVER_TS] ([WMIS_SERVER_MRV_ID]);
GO

CREATE INDEX [WMIS_SERVER_TS_EXECUTIONID_FK] ON [WMIS_SERVER_TS] ([EXECUTION_ID]);
GO

CREATE INDEX [WMIS_SERVICE_MRV_WMISSERVER_FK] ON [WMIS_SERVICE_MRV] ([WMIS_SERVER_MRV_ID]);
GO

CREATE INDEX [WMIS_SERVICE_TS_WMISSERVICE_FK] ON [WMIS_SERVICE_TS] ([WMIS_SERVICE_MRV_ID]);
GO

CREATE INDEX [WMIS_SERVICE_TS_EXECUTIONID_FK] ON [WMIS_SERVICE_TS] ([EXECUTION_ID]);
GO

ALTER TABLE [APPMODELITEM]
ADD FOREIGN KEY ([APPMODELTYPE_ID])
REFERENCES [APPMODELTYPE] ([ID]);
GO

ALTER TABLE [APPMODELITEM]
ADD FOREIGN KEY ([PROJECT_ID])
REFERENCES [PROJECT] ([ID]);
GO

ALTER TABLE [BWACTIVITY_MRV]
ADD FOREIGN KEY ([BWHOST_MRV_ID])
REFERENCES [BWHOST_MRV] ([ID]);
GO

ALTER TABLE [BWACTIVITY_TS]
ADD FOREIGN KEY ([BWACTIVITY_MRV_ID])
REFERENCES [BWACTIVITY_MRV] ([ID]);
GO

ALTER TABLE [BWHOST_TS]
ADD FOREIGN KEY ([BWHOST_MRV_ID])
REFERENCES [BWHOST_MRV] ([ID]);
GO

ALTER TABLE [BWPROC_MRV]
ADD FOREIGN KEY ([BWHOST_MRV_ID])
REFERENCES [BWHOST_MRV] ([ID]);
GO

ALTER TABLE [BWPROC_TS]
ADD FOREIGN KEY ([BWPROC_MRV_ID])
REFERENCES [BWPROC_MRV] ([ID]);
GO

ALTER TABLE [DETAIL_EXECUTION]
ADD FOREIGN KEY ([ACTION_EXECUTION_ID])
REFERENCES [ACTION_EXECUTION] ([ID]);
GO

ALTER TABLE [DQGROUP_TS]
ADD FOREIGN KEY ([DQGROUP_MRV_ID])
REFERENCES [DQGROUP_MRV] ([ID]);
GO

ALTER TABLE [DQMEMBER_MRV]
ADD FOREIGN KEY ([DQGROUP_MRV_ID])
REFERENCES [DQGROUP_MRV] ([ID]);
GO

ALTER TABLE [DQMEMBER_TS]
ADD FOREIGN KEY ([DQMEMBER_MRV_ID])
REFERENCES [DQMEMBER_MRV] ([ID]);
GO

ALTER TABLE [DT_HISTORY]
ADD FOREIGN KEY ([AGENT_ID])
REFERENCES [AGENT] ([ID]);
GO

ALTER TABLE [EMS_QUEUE_MRV]
ADD FOREIGN KEY ([EMS_SERVER_MRV_ID])
REFERENCES [EMS_SERVER_MRV] ([ID]);
GO

ALTER TABLE [EMS_QUEUE_TS]
ADD FOREIGN KEY ([EMS_QUEUE_MRV_ID])
REFERENCES [EMS_QUEUE_MRV] ([ID]);
GO

ALTER TABLE [EMS_ROUTE_MRV]
ADD FOREIGN KEY ([EMS_SERVER_MRV_ID])
REFERENCES [EMS_SERVER_MRV] ([ID]);
GO

ALTER TABLE [EMS_ROUTE_TS]
ADD FOREIGN KEY ([EMS_ROUTE_MRV_ID])
REFERENCES [EMS_ROUTE_MRV] ([ID]);
GO

ALTER TABLE [EMS_SERVER_TS]
ADD FOREIGN KEY ([EMS_SERVER_MRV_ID])
REFERENCES [EMS_SERVER_MRV] ([ID]);
GO

ALTER TABLE [EMS_TOPIC_MRV]
ADD FOREIGN KEY ([EMS_SERVER_MRV_ID])
REFERENCES [EMS_SERVER_MRV] ([ID]);
GO

ALTER TABLE [EMS_TOPIC_TS]
ADD FOREIGN KEY ([EMS_TOPIC_MRV_ID])
REFERENCES [EMS_TOPIC_MRV] ([ID]);
GO

ALTER TABLE [EXECUTION]
ADD FOREIGN KEY ([STATUS_ID])
REFERENCES [STATUS] ([ID]);
GO

ALTER TABLE [EXECUTION]
ADD FOREIGN KEY ([ROOT_ID])
REFERENCES [EXECUTION] ([ID]);
GO

ALTER TABLE [EXECUTION]
ADD FOREIGN KEY ([ENVIRONMENT])
REFERENCES [APPMODELITEM] ([ID]);
GO

ALTER TABLE [EXECUTION_LOCK]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]);
GO

ALTER TABLE [EXECUTION_LOCK]
ADD FOREIGN KEY ([PERSON_ID])
REFERENCES [PERSON] ([ID]);
GO

ALTER TABLE [FLEX_COL]
ADD FOREIGN KEY ([METHOD])
REFERENCES [FLEX_METHOD] ([PK]);
GO

ALTER TABLE [FLEX_DOUBLE]
ADD FOREIGN KEY ([EVENT])
REFERENCES [FLEX_EVENT] ([PK]);
GO

ALTER TABLE [FLEX_DOUBLE]
ADD FOREIGN KEY ([ROW_])
REFERENCES [FLEX_ROW] ([PK]);
GO

ALTER TABLE [FLEX_LONG]
ADD FOREIGN KEY ([EVENT])
REFERENCES [FLEX_EVENT] ([PK]);
GO

ALTER TABLE [FLEX_LONG]
ADD FOREIGN KEY ([ROW_])
REFERENCES [FLEX_ROW] ([PK]);
GO

ALTER TABLE [FLEX_METHOD]
ADD FOREIGN KEY ([TYPE])
REFERENCES [FLEX_TYPE] ([PK]);
GO

ALTER TABLE [FLEX_ROW]
ADD FOREIGN KEY ([COL])
REFERENCES [FLEX_COL] ([PK]);
GO

ALTER TABLE [PERFORM_CHARTS]
ADD FOREIGN KEY ([PROJECT_ID])
REFERENCES [PROJECT] ([ID]);
GO

ALTER TABLE [RVHI_TS]
ADD FOREIGN KEY ([RVHI_MRV_ID])
REFERENCES [RVHI_MRV] ([ID]);
GO

ALTER TABLE [RVTRACE_MULTICAST_MRV]
ADD FOREIGN KEY ([RVTRACE_NETWORK_MRV_ID])
REFERENCES [RVTRACE_NETWORK_MRV] ([ID]);
GO

ALTER TABLE [RVTRACE_MULTICAST_TS]
ADD FOREIGN KEY ([RVTRACE_MULTICAST_MRV_ID])
REFERENCES [RVTRACE_MULTICAST_MRV] ([ID]);
GO

ALTER TABLE [RVTRACE_NETWORK_TS]
ADD FOREIGN KEY ([RVTRACE_NETWORK_MRV_ID])
REFERENCES [RVTRACE_NETWORK_MRV] ([ID]);
GO

ALTER TABLE [RVTRACE_PTP_MRV]
ADD FOREIGN KEY ([RVTRACE_NETWORK_MRV_ID])
REFERENCES [RVTRACE_NETWORK_MRV] ([ID]);
GO

ALTER TABLE [RVTRACE_PTP_TS]
ADD FOREIGN KEY ([RVTRACE_PTP_MRV_ID])
REFERENCES [RVTRACE_PTP_MRV] ([ID]);
GO

ALTER TABLE [RVTRACE_RETRANS_MRV]
ADD FOREIGN KEY ([RVTRACE_NETWORK_MRV_ID])
REFERENCES [RVTRACE_NETWORK_MRV] ([ID]);
GO

ALTER TABLE [RVTRACE_RETRANS_TS]
ADD FOREIGN KEY ([RVTRACE_RETRANS_MRV_ID])
REFERENCES [RVTRACE_RETRANS_MRV] ([ID]);
GO

ALTER TABLE [RVTRACE_SUBJECT_MRV]
ADD FOREIGN KEY ([RVTRACE_NETWORK_MRV_ID])
REFERENCES [RVTRACE_NETWORK_MRV] ([ID]);
GO

ALTER TABLE [RVTRACE_SUBJECT_TS]
ADD FOREIGN KEY ([RVTRACE_SUBJECT_MRV_ID])
REFERENCES [RVTRACE_SUBJECT_MRV] ([ID]);
GO

ALTER TABLE [SCENARIO_EXECUTION]
ADD FOREIGN KEY ([SCENARIO_ID])
REFERENCES [SCENARIO] ([ID]);
GO

ALTER TABLE [SONIC_AGENT_TS]
ADD FOREIGN KEY ([SONIC_AGENT_MRV_ID])
REFERENCES [SONIC_AGENT_MRV] ([ID]);
GO

ALTER TABLE [SONIC_BROKER_MRV]
ADD FOREIGN KEY ([SONIC_AGENT_MRV_ID])
REFERENCES [SONIC_AGENT_MRV] ([ID]);
GO

ALTER TABLE [SONIC_BROKER_TS]
ADD FOREIGN KEY ([SONIC_BROKER_MRV_ID])
REFERENCES [SONIC_BROKER_MRV] ([ID]);
GO

ALTER TABLE [SONIC_CONNS_MRV]
ADD FOREIGN KEY ([SONIC_AGENT_MRV_ID])
REFERENCES [SONIC_AGENT_MRV] ([ID]);
GO

ALTER TABLE [SONIC_CONNS_TS]
ADD FOREIGN KEY ([SONIC_CONNS_MRV_ID])
REFERENCES [SONIC_CONNS_MRV] ([ID]);
GO

ALTER TABLE [SONIC_QUEUE_MRV]
ADD FOREIGN KEY ([SONIC_AGENT_MRV_ID])
REFERENCES [SONIC_AGENT_MRV] ([ID]);
GO

ALTER TABLE [SONIC_QUEUE_TS]
ADD FOREIGN KEY ([SONIC_QUEUE_MRV_ID])
REFERENCES [SONIC_QUEUE_MRV] ([ID]);
GO

ALTER TABLE [SUITE_EXECUTION]
ADD FOREIGN KEY ([ACTION_EXECUTION_ID])
REFERENCES [ACTION_EXECUTION] ([ID]);
GO

ALTER TABLE [SYSSTAT_PROC_STATS_MRV]
ADD FOREIGN KEY ([SYSSTAT_SYS_STATS_MRV_ID])
REFERENCES [SYSSTAT_SYS_STATS_MRV] ([ID]);
GO

ALTER TABLE [SYSSTAT_PROC_STATS_TS]
ADD FOREIGN KEY ([SYSSTAT_PROC_STATS_MRV_ID])
REFERENCES [SYSSTAT_PROC_STATS_MRV] ([ID]);
GO

ALTER TABLE [SYSSTAT_SYS_STATS_TS]
ADD FOREIGN KEY ([SYSSTAT_SYS_STATS_MRV_ID])
REFERENCES [SYSSTAT_SYS_STATS_MRV] ([ID]);
GO

ALTER TABLE [TESTENGINE_ENGINE_TS]
ADD FOREIGN KEY ([TESTENGINE_ENGINE_MRV_ID])
REFERENCES [TESTENGINE_ENGINE_MRV] ([ID]);
GO

ALTER TABLE [TESTENGINE_SEQ_MRV]
ADD FOREIGN KEY ([TESTENGINE_ENGINE_MRV_ID])
REFERENCES [TESTENGINE_ENGINE_MRV] ([ID]);
GO

ALTER TABLE [TESTENGINE_SEQ_TS]
ADD FOREIGN KEY ([TESTENGINE_SEQ_MRV_ID])
REFERENCES [TESTENGINE_SEQ_MRV] ([ID]);
GO

ALTER TABLE [TESTENGINE_TRANS_MRV]
ADD FOREIGN KEY ([TESTENGINE_ENGINE_MRV_ID])
REFERENCES [TESTENGINE_ENGINE_MRV] ([ID]);
GO

ALTER TABLE [TESTENGINE_TRANS_TS]
ADD FOREIGN KEY ([TESTENGINE_TRANS_MRV_ID])
REFERENCES [TESTENGINE_TRANS_MRV] ([ID]);
GO

ALTER TABLE [TEST_CYCLE]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]);
GO

ALTER TABLE [TEST_CYCLE_PROJECT]
ADD FOREIGN KEY ([PROJECT_ID])
REFERENCES [PROJECT] ([ID]);
GO

ALTER TABLE [TRANS_HISTORY]
ADD FOREIGN KEY ([TRANS_ID])
REFERENCES [TRANSACTION] ([ID]);
GO

ALTER TABLE [WMBROKER_B_TS]
ADD FOREIGN KEY ([WMBROKER_B_MRV_ID])
REFERENCES [WMBROKER_B_MRV] ([ID]);
GO

ALTER TABLE [WMBROKER_CG_MRV]
ADD FOREIGN KEY ([WMBROKER_B_MRV_ID])
REFERENCES [WMBROKER_B_MRV] ([ID]);
GO

ALTER TABLE [WMBROKER_CG_TS]
ADD FOREIGN KEY ([WMBROKER_CG_MRV_ID])
REFERENCES [WMBROKER_CG_MRV] ([ID]);
GO

ALTER TABLE [WMBROKER_C_MRV]
ADD FOREIGN KEY ([WMBROKER_B_MRV_ID])
REFERENCES [WMBROKER_B_MRV] ([ID]);
GO

ALTER TABLE [WMBROKER_C_TS]
ADD FOREIGN KEY ([WMBROKER_C_MRV_ID])
REFERENCES [WMBROKER_C_MRV] ([ID]);
GO

ALTER TABLE [WMBROKER_ET_MRV]
ADD FOREIGN KEY ([WMBROKER_B_MRV_ID])
REFERENCES [WMBROKER_B_MRV] ([ID]);
GO

ALTER TABLE [WMBROKER_ET_TS]
ADD FOREIGN KEY ([WMBROKER_ET_MRV_ID])
REFERENCES [WMBROKER_ET_MRV] ([ID]);
GO

ALTER TABLE [WMIS_SERVER_TS]
ADD FOREIGN KEY ([WMIS_SERVER_MRV_ID])
REFERENCES [WMIS_SERVER_MRV] ([ID]);
GO

ALTER TABLE [WMIS_SERVICE_TS]
ADD FOREIGN KEY ([WMIS_SERVICE_MRV_ID])
REFERENCES [WMIS_SERVICE_MRV] ([ID]);
GO

ALTER TABLE [ACTION]
ADD FOREIGN KEY ([ACTIONTYPE_ID])
REFERENCES [ACTIONTYPE] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [ACTION]
ADD FOREIGN KEY ([APPMODELITEM_ID])
REFERENCES [APPMODELITEM] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [APPMODELITEM]
ADD FOREIGN KEY ([PARENT_ID])
REFERENCES [APPMODELITEM] ([ID]);
GO

CREATE TRIGGER [TRG_D_APPMODELITEM_ON_DELETE_CASCADE] ON [APPMODELITEM] INSTEAD OF DELETE
AS
BEGIN
 WITH cte
 AS
 (
 SELECT n.[ID], n.[PARENT_ID]
 FROM [APPMODELITEM] AS n WHERE n.[ID] IN (SELECT [ID] FROM deleted)
 UNION ALL
 SELECT n.[ID], n.[PARENT_ID]
 FROM [APPMODELITEM] AS n
 INNER JOIN cte AS p ON p.[ID] = n.[PARENT_ID]
 )
 DELETE FROM [APPMODELITEM] WHERE [ID] IN (SELECT [ID] FROM cte);
END
GO

ALTER TABLE [DETAIL_EXECUTION]
ADD FOREIGN KEY ([APPMODELITEM_ID])
REFERENCES [APPMODELITEM] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [PERFORM_EXECUTION]
ADD FOREIGN KEY ([APPMODELITEM_ID])
REFERENCES [APPMODELITEM] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [SCENARIO]
ADD FOREIGN KEY ([APPMODELITEM_ID])
REFERENCES [APPMODELITEM] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [SUITE_EXECUTION]
ADD FOREIGN KEY ([APPMODELITEM_ID])
REFERENCES [APPMODELITEM] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TESTER_SEQ_END_MRV]
ADD FOREIGN KEY ([APPMODELITEM_ID])
REFERENCES [APPMODELITEM] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TESTER_SEQ_MRV]
ADD FOREIGN KEY ([APPMODELITEM_ID])
REFERENCES [APPMODELITEM] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TESTER_TRANS_END_MRV]
ADD FOREIGN KEY ([APPMODELITEM_ID])
REFERENCES [APPMODELITEM] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TESTER_TRANS_MRV]
ADD FOREIGN KEY ([APPMODELITEM_ID])
REFERENCES [APPMODELITEM] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [ACTION_EXECUTION]
ADD FOREIGN KEY ([ACTION_ID])
REFERENCES [ACTION] ([ID]);
GO

CREATE TRIGGER [TRG_D_ACTION_ON_DELETE_CASCADE] ON ACTION FOR DELETE
AS
 DELETE FROM ACTION_EXECUTION
 FROM ACTION_EXECUTION AS E
 JOIN deleted AS D ON E.ACTION_ID = D.ID
GO

ALTER TABLE [ACTION_EXECUTION]
ADD FOREIGN KEY ([PARENT_ID])
REFERENCES [ACTION_EXECUTION] ([ID]);
GO

CREATE TRIGGER [TRG_D_ACTION_EXECUTION_ON_DELETE_CASCADE] ON [ACTION_EXECUTION] INSTEAD OF DELETE
AS
BEGIN
 WITH cte
 AS
 (
 SELECT n.[ID], n.[PARENT_ID]
 FROM [ACTION_EXECUTION] AS n WHERE n.[ID] IN (SELECT [ID] FROM deleted)
 UNION ALL
 SELECT n.[ID], n.[PARENT_ID]
 FROM [ACTION_EXECUTION] AS n
 INNER JOIN cte AS p ON p.[ID] = n.[PARENT_ID]
 )
 DELETE FROM [ACTION_EXECUTION] WHERE [ID] IN (SELECT [ID] FROM cte);
END
GO

ALTER TABLE [BWACTIVITY_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [BWHOST_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [BWPROC_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [COVERAGE]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [DETAIL_EXECUTION]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [DQGROUP_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [DQMEMBER_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [DT]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [EMS_QUEUE_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [EMS_ROUTE_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [EMS_SERVER_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [EMS_TOPIC_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [EXECUTION]
ADD FOREIGN KEY ([PARENT_ID])
REFERENCES [EXECUTION] ([ID]);
GO

CREATE TRIGGER [TRG_D_EXECUTION_ON_DELETE_CASCADE] ON [EXECUTION] INSTEAD OF DELETE
AS
BEGIN
 WITH cte
 AS
 (
 SELECT n.[ID], n.[PARENT_ID]
 FROM [EXECUTION] AS n WHERE n.[ID] IN (SELECT [ID] FROM deleted)
 UNION ALL
 SELECT n.[ID], n.[PARENT_ID]
 FROM [EXECUTION] AS n
 INNER JOIN cte AS p ON p.[ID] = n.[PARENT_ID]
 )
 DELETE FROM [EXECUTION] WHERE [ID] IN (SELECT [ID] FROM cte);
END
GO

ALTER TABLE [EXECUTION_LABEL]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [EXECUTION_NOTE]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [LOGMEASUREMENT_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [PERFORM_CHARTS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [PERFORM_EXECUTION]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [PROBE_CONFIG]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [RVHI_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [RVTRACE_MULTICAST_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [RVTRACE_NETWORK_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [RVTRACE_PTP_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [RVTRACE_RETRANS_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [RVTRACE_SUBJECT_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [SCENARIO_EXECUTION]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [SONIC_AGENT_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [SONIC_BROKER_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [SONIC_CONNS_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [SONIC_QUEUE_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [SUITE_EXECUTION]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [SYSSTAT_PROC_STATS_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [SYSSTAT_SYS_STATS_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TESTENGINE_ENGINE_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TESTENGINE_SEQ_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TESTENGINE_TRANS_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TESTER_SEQ_END_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TESTER_SEQ_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TESTER_TRANS_END_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TESTER_TRANS_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [WMBROKER_B_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [WMBROKER_CG_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [WMBROKER_C_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [WMBROKER_ET_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [WMIS_SERVER_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [WMIS_SERVICE_TS]
ADD FOREIGN KEY ([EXECUTION_ID])
REFERENCES [EXECUTION] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [DT_HISTORY]
ADD FOREIGN KEY ([DT_ID])
REFERENCES [DT] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [ITER_HISTORY]
ADD FOREIGN KEY ([DT_HIST_ID])
REFERENCES [DT_HISTORY] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [LOGMEASUREMENT_MRV]
ADD FOREIGN KEY ([ATTR_ID_1])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_MRV]
ADD FOREIGN KEY ([ATTR_ID_2])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_MRV]
ADD FOREIGN KEY ([ATTR_ID_3])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_MRV]
ADD FOREIGN KEY ([ATTR_ID_4])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_MRV]
ADD FOREIGN KEY ([ATTR_ID_5])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_TS]
ADD FOREIGN KEY ([CTR_ID_1])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_TS]
ADD FOREIGN KEY ([CTR_ID_2])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_TS]
ADD FOREIGN KEY ([CTR_ID_3])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_TS]
ADD FOREIGN KEY ([CTR_ID_4])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_TS]
ADD FOREIGN KEY ([CTR_ID_5])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_TS]
ADD FOREIGN KEY ([CTR_ID_6])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_TS]
ADD FOREIGN KEY ([CTR_ID_7])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_TS]
ADD FOREIGN KEY ([CTR_ID_8])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_TS]
ADD FOREIGN KEY ([STRCTR_ID_1])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_TS]
ADD FOREIGN KEY ([STRCTR_ID_2])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_TS]
ADD FOREIGN KEY ([STRCTR_ID_3])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

ALTER TABLE [LOGMEASUREMENT_TS]
ADD FOREIGN KEY ([STRCTR_ID_4])
REFERENCES [COUNTER_DETAILS] ([ID]);
GO

CREATE TRIGGER [TRG_D_COUNTER_DETAILS_ON_DELETE_CASCADE] ON COUNTER_DETAILS FOR DELETE
AS
BEGIN
 DELETE FROM LOGMEASUREMENT_MRV
 FROM LOGMEASUREMENT_MRV AS E
 JOIN deleted AS D ON E.ATTR_ID_1 = D.ID OR E.ATTR_ID_2 = D.ID OR E.ATTR_ID_3 = D.ID OR E.ATTR_ID_4 = D.ID OR E.ATTR_ID_5 = D.ID
 DELETE FROM LOGMEASUREMENT_TS
 FROM LOGMEASUREMENT_TS AS E
 JOIN deleted AS D ON E.CTR_ID_1 = D.ID OR E.CTR_ID_2 = D.ID OR E.CTR_ID_3 = D.ID OR E.CTR_ID_4 = D.ID OR E.CTR_ID_5 = D.ID OR E.CTR_ID_6 = D.ID OR E.CTR_ID_7 = D.ID OR E.CTR_ID_8 = D.ID OR E.STRCTR_ID_1 = D.ID OR E.STRCTR_ID_2 = D.ID OR E.STRCTR_ID_3 = D.ID OR E.STRCTR_ID_4 = D.ID
END
GO

ALTER TABLE [LOGMEASUREMENT_TS]
ADD FOREIGN KEY ([LOGMEASUREMENT_MRV_ID])
REFERENCES [LOGMEASUREMENT_MRV] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TESTER_SEQ_END_TS]
ADD FOREIGN KEY ([TESTER_SEQ_END_MRV_ID])
REFERENCES [TESTER_SEQ_END_MRV] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TESTER_SEQ_TS]
ADD FOREIGN KEY ([TESTER_SEQ_MRV_ID])
REFERENCES [TESTER_SEQ_MRV] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TESTER_TRANS_END_TS]
ADD FOREIGN KEY ([TESTER_TRANS_END_MRV_ID])
REFERENCES [TESTER_TRANS_END_MRV] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TESTER_TRANS_TS]
ADD FOREIGN KEY ([TESTER_TRANS_MRV_ID])
REFERENCES [TESTER_TRANS_MRV] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TEST_CYCLE_PROJECT]
ADD FOREIGN KEY ([TEST_CYCLE_ID])
REFERENCES [TEST_CYCLE] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TEST_CYCLE_PROJECT_ENV]
ADD FOREIGN KEY ([TEST_CYCLE_PROJECT_ID])
REFERENCES [TEST_CYCLE_PROJECT] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TEST_CYCLE_PROJECT_USER]
ADD FOREIGN KEY ([TEST_CYCLE_PROJECT_ID])
REFERENCES [TEST_CYCLE_PROJECT] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [TRANS_HISTORY]
ADD FOREIGN KEY ([ITER_HIST_ID])
REFERENCES [ITER_HISTORY] ([ID]) ON DELETE CASCADE;
GO

ALTER TABLE [WMIS_SERVICE_MRV]
ADD FOREIGN KEY ([WMIS_SERVER_MRV_ID])
REFERENCES [WMIS_SERVER_MRV] ([ID]) ON DELETE CASCADE;
GO

CREATE VIEW [SCENARIO_EXECUTIONS] (
 [EXECUTION_ID],
 [LABEL],
 [LOCKBY],
 [LOCKDATE],
 [NOTES_PK],
 [PROJECT_PK],
 [SUITE_PK],
 [SUITE_ID],
 [SUITE_NAME],
 [SCENARIO_NAME],
 [SCENARIO_ID],
 [START_TIME],
 [END_TIME],
 [STATUS],
 [EXPIRES],
 [ROOT_EXEC_ID]
) AS 
  SELECT sce.execution_id, l.label, u.username, u.time, n.execution_id, t.project_id, t.id, t.uniqueid, t.display, s.display, s.uniqueid, e.start_time, e.end_time, (SELECT display FROM status WHERE id = e.status_id), t.expiration, e.root_id
  FROM scenario s, scenario_execution sce, execution e
  LEFT OUTER JOIN execution_label l ON e.id = l.execution_id
  LEFT OUTER JOIN (
    SELECT sue.execution_id, app.id, app.uniqueid, app.display, app.project_id, sue.expiration
    FROM suite_execution sue, appmodelitem app
    WHERE sue.appmodelitem_id = app.id
  ) t ON e.id = t.execution_id
  LEFT OUTER JOIN (
    SELECT el.execution_id, p.username, el.time
    FROM execution_lock el, person p
    WHERE el.person_id = p.id
  ) u ON e.id = u.execution_id
  LEFT OUTER JOIN execution_note n ON e.id = n.execution_id
  WHERE e.id = sce.execution_id AND sce.scenario_id = s.id
   ;
GO

CREATE VIEW [TESTER_PERF_MRV] (
 [ID],
 [NAME],
 [GUID],
 [TIME]
) AS 
select a.ID, a.display, p.uniqueid as guid, 0 as time
from appmodelitem a, project p
where a.project_id = p.id
   ;
GO


-- As part of the globalisation work in version 8.5 a unique constraint was removed from
-- FLEX_COL.  Although the code wasn't handling the INSERT exception that would have 
-- occured it wasn't possible for duplicate rows to be inserted.  Although the stored
-- procedure does a select before checking removing the unique constraing means that there
-- is a race condition that needs to be dealt with.  This stored procedure now uses a 
-- transaction at level SERIALIZABLE in order to ensure that another instance cannot
-- INSERT a row after the initial SELECT has been performed

CREATE PROCEDURE INSERT_FLEX_COL (
 @PK [numeric] OUTPUT,
 @METHOD [numeric],
 @DATA [nvarchar] (891)
) AS
BEGIN

	-- In the majority of cases there will be a PK already.
	-- Do a quick attempt to get it before locking tables

	SELECT @PK = PK FROM FLEX_COL WHERE @METHOD = METHOD
									AND @DATA   = DATA

	if @PK IS NULL
	BEGIN
	  -- We're the first.  Need to protect against race conditions now
	  SET TRANSACTION ISOLATION LEVEL SERIALIZABLE

	  BEGIN TRANSACTION

	  -- This statement will effectively lock the table so only one thread will get NULL
	  SELECT @PK = PK FROM FLEX_COL WHERE @METHOD = METHOD
									  AND @DATA   = DATA

	  -- The SERIALIZABLE transaction level means no other threads can modify the
	  -- underlying table.
	  IF @PK IS NULL
	  BEGIN
		 INSERT
		   INTO FLEX_COL
		  ( METHOD, DATA
		  ) VALUES
		  ( @METHOD, @DATA
		  )
		  SELECT @PK = SCOPE_IDENTITY()
	  END

	  COMMIT TRANSACTION
	  END
	END
GO

-- See comments for procedure CREATE PROCEDURE INSERT_FLEX_COL regarding why this
-- is implemented in this way
CREATE PROCEDURE INSERT_FLEX_METHOD (
 @PK [numeric] OUTPUT,
 @TYPE [numeric],
 @DATA [nvarchar] (891)
) AS
BEGIN

	SELECT @PK = PK FROM FLEX_METHOD WHERE @TYPE = TYPE
									   AND @DATA = DATA

	IF @PK IS NULL
	BEGIN

		SET TRANSACTION ISOLATION LEVEL SERIALIZABLE

		BEGIN TRANSACTION

		SELECT @PK = PK FROM FLEX_METHOD WHERE @TYPE = TYPE
										   AND @DATA = DATA
		IF @PK IS NULL
		BEGIN
		   INSERT
			 INTO FLEX_METHOD
			( TYPE, DATA
			) VALUES
			( @TYPE, @DATA
			)
			SELECT @PK = SCOPE_IDENTITY()
		END

		COMMIT TRANSACTION
	END
END
GO

-- See comments for procedure CREATE PROCEDURE INSERT_FLEX_COL regarding why this
-- is implemented in this way
CREATE PROCEDURE INSERT_FLEX_ROW (
 @PK [numeric] OUTPUT,
 @COL [numeric],
 @DATA [nvarchar] (891)
) AS
BEGIN

	SELECT @PK = PK FROM FLEX_ROW WHERE @COL  = COL
									AND @DATA = DATA

	IF @PK IS NULL
	BEGIN

		SET TRANSACTION ISOLATION LEVEL SERIALIZABLE

		BEGIN TRANSACTION

		SELECT @PK = PK FROM FLEX_ROW WHERE @COL  = COL
										AND @DATA = DATA
		IF @PK IS NULL
		BEGIN
		   INSERT
			 INTO FLEX_ROW
			( COL, DATA
			) VALUES
			( @COL, @DATA
			)
			SELECT @PK = SCOPE_IDENTITY()
		END

		COMMIT TRANSACTION
	END
END
GO

-- See comments for procedure CREATE PROCEDURE INSERT_FLEX_COL regarding why this
-- is implemented in this way
CREATE PROCEDURE INSERT_FLEX_TYPE (
 @PK [numeric] OUTPUT,
 @DATA [nvarchar] (891)
) AS
BEGIN

	SELECT @PK = PK FROM FLEX_TYPE WHERE @DATA = DATA

	IF @PK IS NULL
	BEGIN
		SET TRANSACTION ISOLATION LEVEL SERIALIZABLE

		BEGIN TRANSACTION

		SELECT @PK = PK FROM FLEX_TYPE WHERE @DATA = DATA
		IF @PK IS NULL
		BEGIN
		   INSERT
			 INTO FLEX_TYPE
			( DATA
			) VALUES
			( @DATA
			)
			SELECT @PK = SCOPE_IDENTITY()
		END

		COMMIT TRANSACTION
	END
END
GO

BEGIN TRANSACTION;
INSERT INTO db_details VALUES
 (GETDATE(), 'schema.version.number', '1.9.24.f');
COMMIT TRANSACTION;

